package com.nationrel.modules.weibull.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import jakarta.validation.constraints.NotBlank;

/**
 * @author Aimee on 2020/9/22.
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbGroupListSaveBo {

    @Schema(description = "分析设定ID ", required = true)
    private String settingId;

    @Schema(description = "分析ID ", required = true)
    private String analysisId;

    @Schema(description = "数据ID")
    @NotBlank(message = "DataIdNotEmpty")
    private String dataId;

    @Schema(description = "分组方式 01:计算所选分组,其余分组不计算")
    private String groupingCode;

    @Schema(description = "sigma : σ")
    private String sigma;

    @Schema(description = "logsigma : logσ")
    private String logsigma;

    @Schema(description = "beta : β ")
    private String beta;

    @Schema(description = "分布类型 Weibull:01  Lognormal:02   Normal:03  Exponential:04")
    private String distributingCode;

    @Schema(description = "参数类型 1参数:01  2参数:02  3参数:03  WeibullMixed2Pop:04  WeibullMixed3Pop：05")
    private String parameterCode;

    @Schema(description = "参数估计方法 RRX:01   RRY:02   MLE:03")
    private String estimationMethodCode;

    @Schema(description = "求秩方法 中位秩:01")
    private String rankMethodCode;

    @Schema(description = "置信类型 无:00  双侧:01  下限:02  上限:03")
    private String believeCode;

    @Schema(description = "置信法 Fisher矩阵:01  似然比:02")
    private String believeMethodCode;

    @Schema(description = "置信度")
    private String believePercent;

    @Schema(description = "选择的数据(用逗号分割:1,2)")
    @NotBlank(message = "AtLeastOneData")
    private String name;

}
