package com.nationrel.modules.weibull.common.excel.app;

import com.nationrel.modules.weibull.common.excel.bean.ExcelAppBean;

import java.io.ByteArrayOutputStream;
import java.util.List;

/**
 * @ClassName ExcelApp
 * @Description Excel应用接口
 * @version V1.0
 */
public interface ExcelApp {
    /** 读 */
    String ACTION_READ = "read";
    /** 写 */
    String ACTION_WRITE = "write";
    /** XLS */
    String FILE_TYPE_XLS = "XLS";
    /** XLSX */
    String FILE_TYPE_XLSX = "XLSX";
    /** XLSM */
    String FILE_TYPE_XLSM = "XLSM";
    /** CSV */
    String FILE_TYPE_CSV = "CSV";
    /** 宏验证结果 */
    String VALIDATE_NO = "no";
    /**
     * @Title: readAllRow
     * @Description: 读取Excel文件的指定列的所有行, 例如: 配置为2 表示读取第二列的所有行
     * @param bean Excel映射
     * @throws Exception e
     * @return Map
     */
    List<Object> readAllRow(ExcelAppBean bean) throws Exception;
    /**
     * @Title: readByRowNum
     * @Description: 读取Excel文件, 指定行指定列, 例如: 配置2,3 表示读取第二行的第二列
     * @param bean Excel映射
     * @throws Exception e
     * @return Map
     */
    List<Object> readByRowNum(ExcelAppBean bean) throws Exception;
    /**
     * @Title: readByColumnCof
     * @Description: 读取Excel文件, 指定了开始列的信息, 然后按配置项连续读取
     * @param bean Excel映射
     * @throws Exception e
     * @return Map
     */
    List<Object> readByColumnCof(ExcelAppBean bean) throws Exception;
    /**
     * @Title: write
     * @Description: 写Excel文件, 给定了模板文件，按单元格写，例如： 配置2,3 表示写入第2行第三列
     * @param obj obj
     * @param bean Excel映射
     * @throws Exception e
     * @return
     */
    void write(Object obj, ExcelAppBean bean) throws Exception;
    /**
     * @Title: download
     * @Description: 实现文件下载
     * @param obj 实体对象
     * @param bean bean
     * @return ByteArrayOutputStream
     * @throws Exception ByteArrayOutputStream
     */
    ByteArrayOutputStream download(Object obj, ExcelAppBean bean) throws Exception;
}
