package com.nationrel.modules.weibull.common.excel.bean;

import java.io.File;
import java.util.LinkedHashMap;
import java.util.List;

/**
 * @ClassName ExcelAppBean
 * @Description Excel Bean
 * @version V1.0
 */
public class ExcelAppBean {
    /** 源文件名 **/
    private String sourceFileName;
    /** 目标文件名 **/
    private String targetFileName;
    /** 预制参数配置sheet页名 */
    private String cofSheetName;
    /** 要读取的sheet页名 **/
    private String sourceSheetName;
    /** 要写入的sheet页名 **/
    private String targetSheetName;
    /** 批处理行数量 **/
    private String batchRows;
    /** 表名 **/
    private String tableName;
    /** 源目录 **/
    private String source;
    /** 目标目录 **/
    private String target;
    /** 隐射到Excel的字段和行,列号 **/
    private LinkedHashMap<String, String> fields;
    /** 读取所有行标示 **/
    private boolean allRow;
    /** 是否需要上传前验证Excel文件的正确性 */
    private boolean validateFlag;
    /** 起始行号, 默认从第二行开始读 */
    private int startRow = 2;
    /** 配置尾部无效行数  */
    private int tailRow;
    /** 缓存标示 */
    private boolean needCache;
    /** Excel对应的类模板 */
    private String className;
    /** 列标示 */
    private String colStartFlag;
    /** 表头 */
    private List<String> titles;

    /**
     * @return the tailRow
     */
    public int getTailRow() {
        return tailRow;
    }
    /**
     * @param tailRow the tailRow to set
     */
    public void setTailRow(int tailRow) {
        this.tailRow = tailRow;
    }
    /**
     * @Title: getSourceFileName
     * @return String
     */
    public String getSourceFileName() {
        return sourceFileName;
    }
    /**
     * @Title: setSourceFileName
     * @param sourceFileName void
     */
    public void setSourceFileName(String sourceFileName) {
        this.sourceFileName = sourceFileName;
    }
    /**
     * @Title: getTargetFileName
     * @return String
     */
    public String getTargetFileName() {
        return targetFileName;
    }
    /**
     * @Title: setTargetFileName
     * @param targetFileName void
     */
    public void setTargetFileName(String targetFileName) {
        this.targetFileName = targetFileName;
    }
    /**
     * @Title: getSourceSheetName
     * @return String
     */
    public String getSourceSheetName() {
        return sourceSheetName;
    }
    /**
     * @Title: setSourceSheetName
     * @param sourceSheetName void
     */
    public void setSourceSheetName(String sourceSheetName) {
        this.sourceSheetName = sourceSheetName;
    }
    /**
     * @Title: getTargetSheetName
     * @return String
     */
    public String getTargetSheetName() {
        return targetSheetName;
    }
    /**
     * @Title: setTargetSheetName
     * @param targetSheetName void
     */
    public void setTargetSheetName(String targetSheetName) {
        this.targetSheetName = targetSheetName;
    }
    /**
     * @Title: getBatchRows
     * @return String
     */
    public String getBatchRows() {
        return batchRows;
    }
    /**
     * @Title: setBatchRows
     * @param batchRows void
     */
    public void setBatchRows(String batchRows) {
        this.batchRows = batchRows;
    }
    /**
     * @Title: getTableName
     * @return String
     */
    public String getTableName() {
        return tableName;
    }
    /**
     * @Title: setTableName
     * @param tableName void
     */
    public void setTableName(String tableName) {
        this.tableName = tableName;
    }
    /**
     * @Title: getSource
     * @return String
     */
    public String getSource() {
        return source;
    }
    /**
     * @Title: setSource
     * @param source void
     */
    public void setSource(String source) {
        this.source = source;
    }
    /**
     * @Title: getTarget
     * @return String
     */
    public String getTarget() {
        return target;
    }
    /**
     * @Title: setTarget
     * @param target void
     */
    public void setTarget(String target) {
        this.target = target;
    }
    /**
     * @Title: getFields
     * @return Map<String,String>
     */
    public LinkedHashMap<String, String> getFields() {
        return fields;
    }
    /**
     * @Title: setFields
     * @param fields void
     */
    public void setFields(LinkedHashMap<String, String> fields) {
        this.fields = fields;
    }
    /**
     * @Title: getStartRow
     * @return int
     */
    public int getStartRow() {
        return startRow;
    }
    /**
     * @Title: setStartRow
     * @param startRow void
     */
    public void setStartRow(int startRow) {
        this.startRow = startRow;
    }
    /**
     * @Title: getClassName
     * @return String
     */
    public String getClassName() {
        return className;
    }
    /**
     * @Title: setClassName
     * @param className void
     */
    public void setClassName(String className) {
        this.className = className;
    }
    /**
     * @Title: isAllRow
     * @return boolean
     */
    public boolean isAllRow() {
        return allRow;
    }
    /**
     * @Title: setAllRow
     * @param allRow void
     */
    public void setAllRow(boolean allRow) {
        this.allRow = allRow;
    }
    /**
     * @Title: isValidateFlag
     * @return boolean
     */
    public boolean isValidateFlag() {
        return validateFlag;
    }
    /**
     * @Title: setValidateFlag
     * @param validateFlag void
     */
    public void setValidateFlag(boolean validateFlag) {
        this.validateFlag = validateFlag;
    }
    /**
     * @Title: isNeedCache
     * @return boolean
     */
    public boolean isNeedCache() {
        return needCache;
    }
    /**
     * @Title: setNeedCache
     * @param needCache void
     */
    public void setNeedCache(boolean needCache) {
        this.needCache = needCache;
    }
    /**
     * @Title: getColStartFlag
     * @return String
     */
    public String getColStartFlag() {
        return colStartFlag;
    }
    /**
     * @Title: setColStartFlag
     * @param colStartFlag void
     */
    public void setColStartFlag(String colStartFlag) {
        this.colStartFlag = colStartFlag;
    }
    /**
     * @Title: getTitles
     * @return List<String>
     */
    public List<String> getTitles() {
        return titles;
    }
    /**
     * @Title: setTitles
     * @param titles void
     */
    public void setTitles(List<String> titles) {
        this.titles = titles;
    }
    /**
     * @Title: getCofSheetName
     * @return String
     */
    public String getCofSheetName() {
        return cofSheetName;
    }
    /**
     * @Title: setCofSheetName
     * @param cofSheetName void
     */
    public void setCofSheetName(String cofSheetName) {
        this.cofSheetName = cofSheetName;
    }
    /**
     * @Title: getSourceFile
     * @Description: 获取源文件全名
     * @return String
     */
    public String getSourceFile() {
        String file = this.sourceFileName;
        if (this.source != null && this.source.length() > 0 && this.sourceFileName != null && this.sourceFileName.length() > 0) {
            file = this.source + File.separator + this.sourceFileName;
            if (this.source.endsWith("\\") || this.source.endsWith("/")) {
                file = this.source + this.sourceFileName;
            }
        }
        return file;
    }
    /**
     * @Title: getSourceFile
     * @Description: 获取目标文件全名
     * @return String
     */
    public String getTargetFile() {
        String file = this.getTargetFileName();
        if (this.target != null && this.target.length() > 0 && this.targetFileName != null && this.targetFileName.length() > 0) {
            file = this.target + File.separator + this.targetFileName;
            if (this.target.endsWith("\\") || this.target.endsWith("/")) {
                file = this.target + this.targetFileName;
            }
        }
        return file;
    }
}
