package com.nationrel.modules.weibull.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Description 相关配置
 * @Author hecs
 * @Date 2024/4/4 10:25
 * @Version 1.0
 */
@Data
@Component("AllVariableConfig")
@ConfigurationProperties(prefix = "config")
public class AllVariableConfig {

    /**
     * fta计算url
     */
    private String serverSystem;

    /**
     * 计算url
     */
    private String reliaQubeUrl;

    /**
     * fta计算程序路径
     */
    private Integer weibullDataNumber;

    /**
     * 寿命数据作图抽取分析秩的最大数据量
     */
    private String rankMaximum;
}
