package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.modules.weibull.general.domain.auth.SystemInfo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@Schema(description = "寿命数据分析主表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis")
public class EwbAnalysis extends SystemInfo {

    @TableId("analysis_id")
    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "父级ID")
    private String parentId;

    @Schema(description = "分析名称")
    private String analysisName;

    @Schema(description = "项目ID")
    private String wbId;

    @Schema(description = "对象编号")
    private String objectCode;

    @Schema(description = "对象名称")
    private String objectName;

    @Schema(description = "描述")
    private String description;

    @Schema(description = "周期状态")
    private String lifeState;

    @Schema(description = "发布时间")
    private Date releaseTime;

    @TableLogic
    @Schema(description = "删除状态")
    private String delFlag;

    @Schema(description = "自定义的结束时间列名")
    private String endTimeName;
}