package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@Schema(description = "计算器计算结果表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_calc_result")
public class EwbAnalysisCalcResult {

    @Schema(description = "分析设定ID")
    private String analysisId;

    @Schema(description = "分布类型 Weibull:01  Lognormal:02   Normal:03  Exponential:04")
    private String distributingCode;

    @Schema(description = "参数类型 1参数:01  2参数:02  3参数:03  WeibullMixed2Pop:04  WeibullMixed3Pop：05")
    private String parameterCode;

    @Schema(description = "参数估计方法 RRX:01   RRY:02   MLE:03")
    private String estimationMethodCode;

    @Schema(description = "前置计算结果")
    private String calcResult;

    @Schema(description = "求秩方法 中位秩:01")
    private String calcResultCa;

    @Schema(description = "计算的参数")
    private String confidenceParam;

    @Schema(description = "计算的参数")
    private String calcMethodParam;

    @Schema(description = "求秩方法 中位秩:01")
    private String rankMethodCode;

    @Schema(description = "置信类型 无:00  双侧:01  下限:02  上限:03")
    private String believeCode;

    @Schema(description = "置信法 Fisher矩阵:01  似然比:02")
    private String believeMethodCode;

    @Schema(description = "置信度")
    private Double believePercent;

    private Date insertTime;

}