package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.modules.weibull.general.domain.auth.SystemInfo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Schema(description = "寿命数据分析数据表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_data")
public class EwbAnalysisData extends SystemInfo {

    @TableId("data_id")
    @Schema(description = "数据ID")
    private String dataId;

    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "数据源")
    private String source;

    @Schema(description = "数据量")
    private Integer quantity;

    @Schema(description = "完整数据量")
    private Integer cQuantity;

    @Schema(description = "右删失数据量")
    private Integer rQuantity;

    @Schema(description = "区间删失数据量")
    private Integer iQuantity;

    @Schema(description = "左删失数据量")
    private Integer lQuantity;

    @Schema(description = "包含删失数据(右删失数据)")
    private String rFlag;

    @Schema(description = "包含区间数据或左删失数据")
    private String lFlag;

    @Schema(description = "概率VS时间")
    private String timeForRank;

    @Schema(description = "分组数据")
    private String groupingFlag;

    @Schema(description = "失效模式")
    private String failureModeFlag;

    @Schema(description = "分析数据是否可编辑")
    private String editFlag;

    @Schema(description = "分析数据是否可编辑")
    private String isRankOrNodata;

}