package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Schema(description = "寿命数据分析数据明细表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_data_detail")
public class EwbAnalysisDataDetail {
    @TableId("data_id")
    @Schema(description = "数据ID")
    private String dataId;

    @Schema(description = "数据编号")
    private Integer dataNo;

    @Schema(description = "数量")
    private Integer quantity;

    @Schema(description = "最近检查时间")
    private Double lastInspectTime;

    @Schema(description = "F或S状态")
    @TableField(value = "F_S")
    private String failureSuspension;

    @Schema(description = "结束时间")
    private Double failureEndTime;

    @Schema(description = "失效时间")
    private Double failureTime;

    @Schema(description = "备注信息1")
    private String comment1;

    @Schema(description = "备注信息2")
    private String comment2;

    @Schema(description = "备注信息3")
    private String comment3;

    @Schema(description = "备注信息4")
    private String comment4;

    @Schema(description = "备注信息5")
    private String comment5;

    @Schema(description = "数据类型")
    private String dataType;
}