package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

@Schema(description = "寿命数据分析失效率图置信数据表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_fr_believe")
public class EwbAnalysisFrBelieve {
    @TableId("setting_id")
    @Schema(description = "分析设定ID")
    private String settingId;

    @Schema(description = "序号")
    private Integer sortNo;

    @Schema(description = "置信上限时间")
    private BigDecimal ubTime;

    @Schema(description = "置信上限值")
    private BigDecimal ubValue;

    @Schema(description = "置信上限画图用X")
    private BigDecimal ubX;

    @Schema(description = "置信上限画图用Y")
    private BigDecimal ubY;

    @Schema(description = "置信下限时间")
    private BigDecimal lbTime;

    @Schema(description = "置信下限值")
    private BigDecimal lbValue;

    @Schema(description = "置信下限画图用X")
    private BigDecimal lbX;

    @Schema(description = "置信下限画图用Y")
    private BigDecimal lbY;
}