package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

@Schema(description = "寿命数据分析秩表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_rank")
public class EwbAnalysisRank {
    @TableId("data_id")
    @Schema(description = "数据ID")
    private String dataId;

    @Schema(description = "ADRi")
    private Double adri;

    @Schema(description = "秩")
    private Double rank;

    @Schema(description = "数据编号")
    private Integer dataNo;

    @Schema(description = "失效时间")
    private Double failureTime;

    @Schema(description = "x轴变换坐标")
    private Double x;

    @Schema(description = "y轴变换坐标")
    private Double y;
}