package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

@Schema(description = "寿命数据分析结果表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_result")
public class EwbAnalysisResult {
    @TableId("setting_id")
    @Schema(description = "分析设定ID")
    private String settingId;

    @Schema(description = "参数1")
    private Double p1;

    @Schema(description = "参数2")
    private Double p2;

    @Schema(description = "参数3")
    private Double p3;

    @Schema(description = "相关系数")
    private Double rao;

    @Schema(description = "LK值")
    private Double lk;

    @Schema(description = "平均失效时间")
    private Double mttf;

    @Schema(description = "B10")
    private Double b10;

    @Schema(description = "方差DB Eta 2")
    private Double db;

    @Schema(description = "方差DE Beta 3")
    private Double de;

    @Schema(description = "方差DBE Eta 3")
    private Double dbe;

    @Schema(description = "P1")
    private Double interval1;

    @Schema(description = "P1")
    private Double interval2;

    @Schema(description = "P3")
    private Double interval3;

    @Schema(description = "阶段标示")
    private Integer stepFlag;
}