package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.modules.weibull.general.domain.auth.SystemInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 可靠性测试设计 历史数据
 */
@Data
@TableName(value = "ewb_analysis_solve_data")
public class EwbAnalysisSolveData extends SystemInfo {

    @TableId(value = "SOLVE_ID", type = IdType.ASSIGN_UUID)
    @Schema(description = "计算ID")
    private String solveId;

    @Schema(description = "计算名称")
    private String solveName;

    @Schema(description = "计算类型")
    private Integer solveCode;

    @Schema(description = "beta")
    private Double beta;

    //
    @Schema(description = "验证类型")
    private String verficationCode;

    @Schema(description = "估计方法")
    private String estimationMethodCode;

    @Schema(description = "修正后数据id")
    private String fixDataId;

    @Schema(description = "有缺陷数据id")
    private String defectdataId;

    @Schema(description = "页面明细数据集id")
    private String dataId;

    @Schema(description = "计算结果")
    private String calcResult;

    @Schema(description = "计算结果")
    private String calcResults;

    @Schema(description = "单位")
    private String unitCode;

    //
    @Schema(description = "mtbf")
    private Double mtbf;

    @Schema(description = "confidenceLevel")
    private Double confidenceLevel;

    @Schema(description = "timeForMtbf")
    private Double timeForMtbf;

    @Schema(description = "numofSyst")
    private Double numofSyst;

    @Schema(description = "testTimeperSys")
    private Double testTimeperSys;

    @Schema(description = "numofF")
    private Double numofF;

    //
    @Schema(description = "可靠度")
    private Double reliability;

    @Schema(description = "time")
    private Double time;

    @Schema(description = "要求的MTTF")
    private Double mttf;

    //
    @Schema(description = "失效")
    private Double allowFailures;

    //
    @Schema(description = "测试单元", required = true)
    private Double sampleSize;

    //
    @Schema(description = "假定值-参数二项式")
    private Double shape;

    @Schema(description = "要求时间")
    private Double timeRdemo;

    @Schema(description = "计算方式（1：测试时间  2：测试单元）")
    private String calcCode;

    @Schema(description = "参数二项式分布选项")
    private String distributingCode;

}
