package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.ArrayList;
import java.util.List;

@Schema(description = "可靠性测试设计数据明细表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_analysis_solve_data_detail")
public class EwbAnalysisSolveDataDetail {
    @TableId("data_id")
    @Schema(description = "数据ID")
    private String dataId;

    @Schema(description = "数据编号")
    private Integer dataNo;

    @Schema(description = "数量")
    private Integer quantity;

    @Schema(description = "开始时间")
    private Double startTime;

    @Schema(description = "结束时间")
    private Double endTime;

    @Schema(description = "时间")
    private Double time;

    @Schema(description = "F或S状态")
    @TableField(value = "F_S")
    private String failureSuspension;

    @Schema(description = "备注信息1")
    private String comment1;

    @Schema(description = "备注信息2")
    private String comment2;

    @Schema(description = "备注信息3")
    private String comment3;

    @Schema(description = "备注信息4")
    private String comment4;

    @Schema(description = "备注信息5")
    private String comment5;

    @Schema(description = "分组编号")
    private String groupNo;

    /**
     * 集合元素类型转换
     *
     * @param solveDataDetails
     * @return
     */
    public static List<String[]> getDefectDatasStringList(List<EwbAnalysisSolveDataDetail> solveDataDetails) {
        ArrayList<String[]> strings = new ArrayList<>();
        for (int i = 0; i < solveDataDetails.size(); i++) {
            strings.add(new String[]{solveDataDetails.get(i).getStartTime().toString(), solveDataDetails.get(i).getFailureSuspension(), solveDataDetails.get(i).getEndTime().toString(), solveDataDetails.get(i).getTime().toString(), solveDataDetails.get(i).getGroupNo()});
        }
        return strings;
    }

    /**
     * 集合元素类型转换
     *
     * @param solveDataDetails
     * @return
     */
    public static List<String[]> getFixDatasStringList(List<EwbAnalysisSolveDataDetail> solveDataDetails) {
        ArrayList<String[]> strings = new ArrayList<>();
        for (int i = 0; i < solveDataDetails.size(); i++) {
            strings.add(new String[]{solveDataDetails.get(i).getStartTime().toString(), solveDataDetails.get(i).getEndTime().toString(), solveDataDetails.get(i).getTime().toString(), solveDataDetails.get(i).getGroupNo()});
        }
        return strings;
    }


    /**
     * 集合元素类型转换
     *
     * @param solveDataDetails
     * @return
     */
    public static List<String[]> getDatasStringList(List<EwbAnalysisSolveDataDetail> solveDataDetails) {
        ArrayList<String[]> strings = new ArrayList<>();
        for (int i = 0; i < solveDataDetails.size(); i++) {
            strings.add(new String[]{solveDataDetails.get(i).getQuantity().toString(), solveDataDetails.get(i).getTime().toString(), solveDataDetails.get(i).getFailureSuspension(), solveDataDetails.get(i).getComment1()});
        }
        return strings;
    }
}
