package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Schema(description = "寿命数据API分析结果表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_api_analysis_result")
public class EwbApiAnalysisResult  {
    @TableId("data_id")
    @Schema(description = "分析设定ID")
    private String dataId;

    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "PLOT_TYPE")
    private String plotType;

    @Schema(description = "分析结果")
    @TableField(value = "ANALYSIS_RESULT")
    private String analysisResult;

    @Schema(description = "'None', 'BothOneSided', 'TwoSided', 'Top', 'Bottom'")
    @TableField(value = "BOUND_SIDED")
    private String boundSided;

    @Schema(description = "0-1")
    @TableField(value = "CONFIDENCE_LEVEL")
    private String confidenceLevel;

    @Schema(description = "'FisherMatrix', 'LikelihoodRatio', 'ChiSquared', 'LSEDuane'")
    @TableField(value = "METHOD")
    private String method;
}