package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_da_data")
public class EwbDaData {
    @TableId("da_id")
    @Schema(description = "退化分析ID")
    private String daId;

    @Schema(description = "数据源")
    private String source;

    @Schema(description = "数据量")
    private Integer quantity;

    @Schema(description = "单元数量")
    private Integer unitQuantity;

    @Schema(description = "最大检测时间")
    private Double maxInspectTime;

    @Schema(description = "最小检测时间")
    private Double minInspectTime;

    @Schema(description = "最大测量值")
    private Double maxInspectValue;

    @Schema(description = "最小测量值")
    private Double minInspectValue;

    @Schema(description = "TotalSse")
    private Double totalSse;

    @Schema(description = "TotalPho")
    private Double totalPho;

    @Schema(description = "model")
    private String model;

}