package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.modules.weibull.general.domain.auth.SystemInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import jakarta.validation.constraints.NotBlank;
import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_inspect_interval")
public class EwbInspectInterval extends SystemInfo {
    @TableId(value = "inspect_interval_Id")
    @Schema(description = "最优检测间隔ID")
    @NotBlank(message = "AnalysisIdNotEmpty")
    private String inspectIntervalId;

    @Schema(description = "最优检测间隔名称")
    @NotBlank(message = "NameNotEmpty")
    private String costOptimizeName;

    @Schema(description = "项目ID")
    private String wbId;

    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "对象编号")
    private String objectCode;

    @Schema(description = "对象名称")
    private String objectName;

    @Schema(description = "描述")
    private String description;

    @Schema(description = "计划更换")
    private Double planReplace;

    @Schema(description = "非计划更换")
    private Double unPlanReplace;

    @Schema(description = "检测任务")
    private Double inspectTask;

    @Schema(description = "故障探测度")
    private Double failDetect;

    @Schema(description = "状态")
    private String lifeState;

    @Schema(description = "发布时间")
    private Date releaseTime;

    @Schema(description = "删除状态 1：已删除")
    private String delFlag;

    @Schema(description = "维护类型LongTerm/ShortTerm")
    private String maintenanceType;
}