package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.modules.weibull.general.domain.auth.SystemInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_multi_chart")
public class EwbMultiChart extends SystemInfo {
    @TableId(value = "multi_Chart_Id")
    @Schema(description = "多图ID")
    private String multiChartId;

    @Schema(description = "多图名称")
    private String multiChartName;

    @Schema(description = "项目ID")
    private String wbId;

    @Schema(description = "对象编号")
    private String objectCode;

    @Schema(description = "对象名称")
    private String objectName;

    @Schema(description = "描述")
    private String description;

    @Schema(description = "状态")
    private String lifeState;

    @Schema(description = "发布时间")
    private Date releaseTime;

    @Schema(description = "删除状态 1：已删除")
    private String delFlag;

    @Schema(description = "X-axis开始")
    private Double xaxisStart;

    @Schema(description = "X-axis结束")
    private Double xaxisEnd;

    @Schema(description = "Y-axis开始")
    private Double yaxisStart;

    @Schema(description = "Y-axis结束")
    private Double yaxisEnd;

    @Schema(description = "标记的时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double time;

    @Schema(description = "标记的不可靠度")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double unReliability;

    @Schema(description = "标记的beta")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double betaMark;

    @Schema(description = "标记的eta")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double etaMark;

    @Schema(description = "标记的miu")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double muMark;

    @Schema(description = "标记的sigma")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double sigmaMark;

    @Schema(description = "标记的lambda")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double lambdaMark;

    @Schema(description = "目标时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double targetTime;

    @Schema(description = "目标可靠度")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double targetReliability;
}