package com.nationrel.modules.weibull.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.modules.weibull.general.domain.auth.SystemInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ewb_stress_strength")
public class EwbStressStrength extends SystemInfo {

    @TableId("stress_strength_id")
    @Schema(description = "ss曲线分析id")
    private String stressStrengthId;

    @Schema(description = "项目ID")
    private String wbId;

    @Schema(description = "退化分析名称")
    private String stressStrengthName;

    @Schema(description = "应力 分布类型")
    private String distributingCode;

    @Schema(description = "强度 分布类型")
    private String compareDistributingCode;

    @Schema(description = "应力 分析ID")
    private String analysisId;

    @Schema(description = "强度 分析ID")
    private String compareAnalysisId;

    @Schema(description = "beta")
    private Double beta;

    @Schema(description = "eta")
    private Double eta;

    @Schema(description = "miu")
    private Double miu;

    @Schema(description = "sigma")
    private Double sigma;

    @Schema(description = "logMiu")
    private Double logMiu;

    @Schema(description = "logSigma")
    private Double logSigma;

    @Schema(description = "lambda")
    private Double lambda;

    @Schema(description = "compareBeta")
    private Double compareBeta;

    @Schema(description = "compareEta")
    private Double compareEta;

    @Schema(description = "compareMiu")
    private Double compareMiu;

    @Schema(description = "compareSigma")
    private Double compareSigma;

    @Schema(description = "compareLogMiu")
    private Double compareLogMiu;

    @Schema(description = "compareLogSigma")
    private Double compareLogSigma;

    @Schema(description = "compareLambda")
    private Double compareLambda;
}