package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Aimee on 2020/10/22.
 */
public enum EwbConfidenceBoundEnum {
    /**
     *
     */
    双侧(0, "双侧", "TwoSided", 90.0),
    单侧(1, "单侧", "OneSided", 95.0);

    private Integer index;

    private String name;

    private String value;

    private Double confidenceLevel;

    private EwbConfidenceBoundEnum(Integer index, String name, String value, Double confidenceLevel) {
        this.index = index;
        this.name = name;
        this.value = value;
        this.confidenceLevel = confidenceLevel;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Double getConfidenceLevel() {
        return confidenceLevel;
    }

    public void setConfidenceLevel(Double confidenceLevel) {
        this.confidenceLevel = confidenceLevel;
    }

    // Implementing a fromString method on an enum type
    private static final Map<Integer, EwbConfidenceBoundEnum> JSON_ARRAY_MAP = new HashMap<Integer, EwbConfidenceBoundEnum>();

    public static final JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (EwbConfidenceBoundEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (EwbConfidenceBoundEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.name();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getValue(String index) {
        for (EwbConfidenceBoundEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getValue();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static Double getConfidenceLevel(Integer index) {
        for (EwbConfidenceBoundEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getConfidenceLevel();
            }
        }
        return EwbConfidenceBoundEnum.双侧.getConfidenceLevel();
    }

}
