package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Aimee on 2020/10/22.
 */
public enum EwbConfidenceMethodCodeEnum {
    /**
     *
     */
    fishermatrix("01", "Fisher矩阵", "FisherMatrix", "Fisher Matrix"),
    chisquared("03", "卡方", "ChiSquared", "Chi Squared"),
    likelihoodradio("02", "似然比", "LikelihoodRatio", "Likelihood Ratio");

    private String index;

    private String name;

    private String value;

    private String englishName;

    private EwbConfidenceMethodCodeEnum(String index, String name, String value, String englishName) {
        this.index = index;
        this.name = name;
        this.value = value;
        this.englishName = englishName;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    private static final Map<String, EwbConfidenceMethodCodeEnum> JSON_ARRAY_MAP = new HashMap<String, EwbConfidenceMethodCodeEnum>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        for (EwbConfidenceMethodCodeEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (EwbConfidenceMethodCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getValue(String index) {
        for (EwbConfidenceMethodCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getValue();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getByLaguageKey(String index, Integer languageKey) {
        for (EwbConfidenceMethodCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                if (languageKey.equals(ReliaqubeLanguageKeyEnum.中文.getIndex())) {
                    return e.getName();
                } else if (languageKey.equals(ReliaqubeLanguageKeyEnum.英语.getIndex())) {
                    return e.getEnglishName();
                }
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

}
