package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Aimee on 2020/10/22.
 */
public enum EwbConfidenceTypeCodeEnum {
    /**
     *
     */
    无("00", "无", "None"),
    双侧置信限("01", "双侧置信限", "TwoSided"),
    置信下限("02", "置信下限", "Bottom"),
    置信上限("03", "置信上限", "Top");

    private String index;

    private String name;

    private String value;

    private EwbConfidenceTypeCodeEnum(String index, String name, String value) {
        this.index = index;
        this.name = name;
        this.value = value;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setValue(String value) {
        this.value = value;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, EwbConfidenceTypeCodeEnum> JSON_ARRAY_MAP = new HashMap<String, EwbConfidenceTypeCodeEnum>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (EwbConfidenceTypeCodeEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (EwbConfidenceTypeCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.name();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getValue(String index) {
        for (EwbConfidenceTypeCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getValue();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

}
