package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * 退化计算配置
 * @author Aimee on 2020/10/22.
 */
public enum EwbDaModelCodeEnum {
    /**
     * 退化计算配置
     */
    Linear("01", "Linear"),
    Exponential("02", "Exponential"),
    Power("03", "Power"),
    Logarithmic("04", "Logarithmic"),
    Logistic("05", "Logistic"),
    LogLogistic("06", "LogLogistic"),
    Gompertz("07", "Gompertz"),
    LloydLipow("08", "LloydLipow");

    private String index;

    private String name;

    private EwbDaModelCodeEnum(String index, String name) {
        this.index = index;
        this.name = name;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, EwbDaModelCodeEnum> JSON_ARRAY_MAP = new HashMap<String, EwbDaModelCodeEnum>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (EwbDaModelCodeEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (EwbDaModelCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

}
