package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Aimee on 2020/10/22.
 */
public enum  EwbDistributingCodeEnum {
    /**
     *
     */
    Weibull("01", "Weibull", "威布尔"),
    Lognormal("02", "Lognormal", "对数正态"),
    Normal("03", "Normal", "正态"),
    Exponential("04", "Exponential", "指数");

    private String index;

    private String name;

    private String chineseName;

    private EwbDistributingCodeEnum(String index, String name, String chineseName) {
        this.index = index;
        this.name = name;
        this.chineseName = chineseName;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getChineseName() {
        return chineseName;
    }

    public void setChineseName(String chineseName) {
        this.chineseName = chineseName;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, EwbDistributingCodeEnum> JSON_ARRAY_MAP = new HashMap<String, EwbDistributingCodeEnum>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (EwbDistributingCodeEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (EwbDistributingCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.name();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getChineseName(String index) {
        for (EwbDistributingCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getChineseName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getByLaguageKey(String index, Integer languageKey) {
        for (EwbDistributingCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                if (languageKey.equals(ReliaqubeLanguageKeyEnum.中文.getIndex())) {
                    return e.getChineseName();
                } else if (languageKey.equals(ReliaqubeLanguageKeyEnum.英语.getIndex())) {
                    return e.getName();
                }
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

}
