package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Aimee on 2020/10/22.
 */
public enum EwbEvaluateCodeEnum {
    /**
     *
     */
    rrx("01", "X秩回归(RRX)", "RRX", "RRX"),
    rry("02", "Y秩回归(RRY)", "RRY", "RRY"),
    mle("03", "极大似然估计(MLE)", "MLE", "MLE");

    private String index;

    private String name;

    private String code;

    private String english;

    private EwbEvaluateCodeEnum(String index, String name, String code, String english) {
        this.index = index;
        this.name = name;
        this.code = code;
        this.english = english;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, EwbEvaluateCodeEnum> JSON_ARRAY_MAP = new HashMap<String, EwbEvaluateCodeEnum>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (EwbEvaluateCodeEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (EwbEvaluateCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getCode(String index) {
        for (EwbEvaluateCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getCode();
            }
        }
        return EwbEvaluateCodeEnum.rry.getCode();
    }

    public static String getByLaguageKey(String index, Integer languageKey) {
        for (EwbEvaluateCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                if (languageKey.equals(ReliaqubeLanguageKeyEnum.中文.getIndex())) {
                    return e.getName();
                } else if (languageKey.equals(ReliaqubeLanguageKeyEnum.英语.getIndex())) {
                    return e.getEnglish();
                }
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

}
