package com.nationrel.modules.weibull.enums;

import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.Objects;


public enum EwbFixEffectValidTestUnitCodeEnum {
    /**
     *
     */
    Hours("01", "时", "Hours"),
    Mounths("02", "月", "Mounths"),
    Minutes("03", "分钟", "Minutes"),
    Weeks("04", "周", "Weeks"),
    Days("05", "天", "Days"),
    Years("06", "年", "Years"),
    Cycles("07", "周期", "Cycles"),
    Miles("08", "英里", "Miles"),
    Kilometers("09", "公里", "Kilometers");

    private String index;

    private String chinese;

    private String english;

    private EwbFixEffectValidTestUnitCodeEnum(String index, String chinese, String english) {
        this.index = index;
        this.chinese = chinese;
        this.english = english;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getEnglish() {
        return english;
    }

    public String getChinese() {
        return chinese;
    }

    public void setName(String chinese) {
        this.chinese = chinese;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public static String getLanguageMessageByKey(EwbFixEffectValidTestUnitCodeEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getLanguageMessageByKey(String index, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return getChinese(index);
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return getEnglish(index);
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getChinese(String index) {
        for (EwbFixEffectValidTestUnitCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getChinese();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getEnglish(String index) {
        for (EwbFixEffectValidTestUnitCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getEnglish();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getIndex(String english) {
        for (EwbFixEffectValidTestUnitCodeEnum e : values()) {
            if (e.getEnglish().equals(english)) {
                return e.getIndex();
            }
        }
        return null;
    }

}
