package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

public enum EwbFixEffectivinessEnum {
    /**
     *
     */
    SOLVE_FIXEFFECTIVINESS("1", "修正有效性验证测试", "Fix Effectiveness Validation Test", "ReliabilityDemonstraion/Weibull_ChiSquared/SolveDemoRel_WeibullChiSquareRel");


    private String index;

    private String name;

    private String english;

    private String path;

    private EwbFixEffectivinessEnum(String index, String name, String english, String path) {
        this.index = index;
        this.name = name;
        this.english = english;
        this.path = path;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, EwbFixEffectivinessEnum> JSON_ARRAY_MAP = new HashMap<String, EwbFixEffectivinessEnum>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (EwbFixEffectivinessEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (EwbFixEffectivinessEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getPathByIndex(String index) {
        for (EwbFixEffectivinessEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getPath();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static EwbFixEffectivinessEnum getWeibullChiSquaredEnum(String index) {
        for (EwbFixEffectivinessEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e;
            }
        }
        return null;
    }

    public static String getLanguageMessageByKey(EwbFixEffectivinessEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getName();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
//        if (Objects.equals(languagekey, FmeaLanguageKeyEnum.繁体中文.getIndex())) return promptEnum.getTw();
//        if (Objects.equals(languagekey, FmeaLanguageKeyEnum.日语.getIndex())) return promptEnum.getJapanese();
        return BasicDataUtil.EMPTY_STR;
    }
}
