package com.nationrel.modules.weibull.enums;

import com.nationrel.modules.weibull.general.domain.enums.common.EwbConstants;
import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.Objects;

public enum EwbFixEffectivinessParamEnum {
    /**
     *
     */
    Weibull2P(1,"weibull-2参数", "Weibull 2P", "LifeData/ParameterEstimate/Weibull/TwoParameter", "Weibull/TwoParameter"),
    Weibull3P(2,"weibull-3参数", "Weibull 3P", "LifeData/ParameterEstimate/Weibull/ThreeParameter", "Weibull/ThreeParameter"),
    Exponential(3,"Exponential", "Exponential", "LifeData/ParameterEstimate/Exponential/OneParameter", "Exponential/OneParameter"),
    Normal(4,"Normal", "Normal", "LifeData/ParameterEstimate/Normal/TwoParameter", "Normal/TwoParameter"),
    LogNormal(5,"LogNormal","LogNormal", "LifeData/ParameterEstimate/Lognormal/TwoParameter", "Lognormal/TwoParameter");


    EwbFixEffectivinessParamEnum(Integer index, String chinese, String english, String path, String windowsPath) {
        this.index = index;
        this.chinese = chinese;
        this.english = english;
        this.path = path;
        this.windowsPath = windowsPath;
    }

    private String chinese;

    private String english;

    private String path;

    private String windowsPath;

    private Integer index;

    public String getChinese() {
        return chinese;
    }

    public void setChinese(String chinese) {
        this.chinese = chinese;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getWindowsPath() {
        return windowsPath;
    }

    public void setWindowsPath(String windowsPath) {
        this.windowsPath = windowsPath;
    }

    public static EwbFixEffectivinessParamEnum getFixEffectivinessParamEnum(Integer index) {
        for (EwbFixEffectivinessParamEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e;
            }
        }
        return null;
    }

    public static String getPathByIndex(Integer index, String serverSystem) {
        for (EwbFixEffectivinessParamEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return EwbConstants.SERVER_SYSTEM_LINUX.equals(serverSystem) ? e.getPath() : e.getWindowsPath();
            }
        }
        return null;
    }

    public static String getLanguageMessageByKey(EwbFixEffectivinessParamEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getLanguageMessageByKey(Integer index, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return getChinese(index);
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return getEnglish(index);
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getChinese(Integer index) {
        for (EwbFixEffectivinessParamEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getChinese();
            }
        }
        return null;
    }

    public static String getEnglish(Integer index) {
        for (EwbFixEffectivinessParamEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getEnglish();
            }
        }
        return null;
    }
}
