package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * 参数项配置
 * @author Aimee on 2020/10/22.
 */
public enum EwbParameterCodeEnum {
    /**
     * 参数项配置
     */
    一参数("01", "1参数", "1P"),
    二参数("02", "2参数", "2P"),
    三参数("03", "3参数", "3P"),
    混合2参数("04", "混合2参数", "Mix2P"),
    混合3参数("05", "混合3参数", "Mix3P");

    private String index;

    private String name;

    private String english;

    private EwbParameterCodeEnum(String index, String name, String english) {
        this.index = index;
        this.name = name;
        this.english = english;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, EwbParameterCodeEnum> JSON_ARRAY_MAP = new HashMap<String, EwbParameterCodeEnum>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (EwbParameterCodeEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (EwbParameterCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getByLaguageKey(String index, Integer languageKey) {
        for (EwbParameterCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                if (languageKey.equals(ReliaqubeLanguageKeyEnum.中文.getIndex())) {
                    return e.getName();
                } else if (languageKey.equals(ReliaqubeLanguageKeyEnum.英语.getIndex())) {
                    return e.getEnglish();
                }
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

}
