package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Aimee on 2020/10/22.
 */
public enum EwbReliabilityGrowthPlotEnum {
    /**
     * uri待修改为最新
     */
    NumofFailures("01", "Fisher矩阵", "NumberofFailurePlotData"),
    CumulativeMTBF("02", "卡方", "InstantaneousMTBFPlotData"),
    InstantaneousMTBF("03", "似然比", "CumulativeMTBFPlotData"),
    CumulativeFailureRate("04", "似然比", "CumulativeFailureIntensityPlotData"),
    InstantaneousFailureRate("05", "似然比", "InstantaneousFailureIntensityPlotData");

    private String index;

    private String name;

    private String url;

    private EwbReliabilityGrowthPlotEnum(String index, String name, String url) {
        this.index = index;
        this.name = name;
        this.url = url;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    private static final Map<String, EwbReliabilityGrowthPlotEnum> JSON_ARRAY_MAP = new HashMap<String, EwbReliabilityGrowthPlotEnum>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        for (EwbReliabilityGrowthPlotEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (EwbReliabilityGrowthPlotEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getUrl(String index) {
        for (EwbReliabilityGrowthPlotEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getUrl();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

}
