package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.domain.enums.common.EwbConstants;
import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

public enum EwbRepairePoissionEnum {
    /**
     *
     */
    SOLVETIME_NHPPCHISQUARED("1", "可修系统分布-testtime", "SolveTime", "NHPP_Chiquare/SolveTime_NHPPChiSquared", "ReliabilityDemonstraion/NHPP_ChiSquared/SolveTime_NHPPChiSquared"),
    SOLVENUMOFSYST_NHPPCHISQUARED("2", "可修系统分布-systems", "SolveNumofSyst", "NHPP_Chiquare/SolveNumofSyst_NHPPChiSquared", "ReliabilityDemonstraion/NHPP_ChiSquared/SolveNumofSyst_NHPPChiSquared"),
    SOLVEMTBF_NHPPCHISQUARED("3", "可修系统分布-failures", "SolveMTBF", "NHPP_Chiquare/SolveMTBF_NHPPChiSquared", "ReliabilityDemonstraion/NHPP_ChiSquared/SolveMTBF_NHPPChiSquared"),
    SOLVECONFIDENCE_NHPPCHISQUARED("4", "可修系统分布-confidence", "SolveConfidence", "NHPP_Chiquare/SolveConfidence_NHPPChiSquared", "ReliabilityDemonstraion/NHPP_ChiSquared/SolveConfidence_NHPPChiSquared");


    private String index;

    private String name;

    private String english;

    private String path;

    private String windowsPath;

    private EwbRepairePoissionEnum(String index, String name, String english, String path, String windowsPath) {
        this.index = index;
        this.name = name;
        this.english = english;
        this.path = path;
        this.windowsPath = windowsPath;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public String getWindowsPath() {
        return windowsPath;
    }

    public void setWindowsPath(String windowsPath) {
        this.windowsPath = windowsPath;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, EwbRepairePoissionEnum> JSON_ARRAY_MAP = new HashMap<String, EwbRepairePoissionEnum>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (EwbRepairePoissionEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (EwbRepairePoissionEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getPathByIndex(String index, String serverSystem) {
        for (EwbRepairePoissionEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return EwbConstants.SERVER_SYSTEM_LINUX.equals(serverSystem) ? e.getPath() : e.getWindowsPath();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static EwbRepairePoissionEnum getRepairePoissionEnum(String index) {
        for (EwbRepairePoissionEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e;
            }
        }
        return null;
    }

    public static String getLanguageMessageByKey(EwbRepairePoissionEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getName();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
//        if (Objects.equals(languagekey, FmeaLanguageKeyEnum.繁体中文.getIndex())) return promptEnum.getTw();
//        if (Objects.equals(languagekey, FmeaLanguageKeyEnum.日语.getIndex())) return promptEnum.getJapanese();
        return BasicDataUtil.EMPTY_STR;
    }
}
