package com.nationrel.modules.weibull.enums;

import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.Objects;


public enum EwbSolveTypeEnum {
    /**
     *
     */
    SS曲线(1, "SS曲线", "stressStrength"),
    修正有效性验证测试(2, "修正有效性验证测试", "fixEffectValidTest"),
    可修系统分布(3, "可修系统分布", "repairePoisson"),
    指数卡方Weibull(4, "指数卡方Weibull", "weibullChiSquare"),
    指数卡方(5, "指数卡方", "indexChiSquare"),
    非参数二项式(6, "非参数二项式", "nonparamBino"),
    参数二项式(7, "参数二项式", "paramBino");

    private Integer index;

    private String chinese;

    private String english;

    private EwbSolveTypeEnum(Integer index, String chinese, String english) {
        this.index = index;
        this.chinese = chinese;
        this.english = english;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getEnglish() {
        return english;
    }

    public String getChinese() {
        return chinese;
    }

    public void setChinese(String chinese) {
        this.chinese = chinese;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public static String getLanguageMessageByKey(EwbSolveTypeEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getLanguageMessageByKey(Integer index, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return getChinese(index);
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return getEnglish(index);
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getChinese(Integer index) {
        for (EwbSolveTypeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getChinese();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getEnglish(Integer index) {
        for (EwbSolveTypeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getEnglish();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static Integer getIndex(String english) {
        for (EwbSolveTypeEnum e : values()) {
            if (e.getEnglish().equals(english)) {
                return e.getIndex();
            }
        }
        return null;
    }

}
