package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.domain.enums.common.EwbConstants;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

public enum  EwbTestDesignEnum {
    /**
     *
     */
    SOLVE_TIME_REL("01", "参数二项式-可靠性-计算时间", "ParametericBinomial/SolveTimeRel", "ReliabilityDemonstraion/ParametricBinomial/SolveTimeRel"),
    SOLVE_TIME_REL_SIZE("08", "参数二项式-可靠性-计算单元", "ParametericBinomial/SolveSampleSizeRel", "ReliabilityDemonstraion/ParametricBinomial/SolveSampleSizeRel"),
    SOLVE_TIME_MTTF("02", "参数二项式-MTTF", "ParametericBinomial/SolveTimeMTTF", "ReliabilityDemonstraion/ParametricBinomial/SolveTimeMTTF"),
    SOLVE_TIME_MTTF_SIZE("09", "参数二项式-MTTF", "ParametericBinomial/SolveSampleSizeMTTF", "ReliabilityDemonstraion/ParametricBinomial/SolveSampleSizeMTTF"),
    SOLVE_RELIABILITY("03", "非参数二项式-可靠性", "NonParametericBinomial/SolveReliability", "ReliabilityDemonstraion/NonParametricBinomial/SolveReliability"),
    SOLVE_CONFIDENCE("04", "非参数二项式-置信水平", "NonParametericBinomial/SolveConfidence", "ReliabilityDemonstraion/NonParametricBinomial/SolveConfidence"),
    SOLVE_SAMPLE_SIZE("05", "非参数二项式-单元数量", "NonParametericBinomial/SolveSampleSize", "ReliabilityDemonstraion/NonParametricBinomial/SolveSampleSize"),
    SOLVE_TIME_CHI_SQUARE_REL("06", "指数卡方-可靠性", "Chiquare/SolveTimeChiSquareRel", "ReliabilityDemonstraion/ChiSquared/SolveTimeChiSquareRel"),
    SOLVE_TIME_CHI_SQUARE_MTTF("07", "指数卡方-mttf", "Chiquare/SolveTimeChiSquareMTTF", "ReliabilityDemonstraion/ChiSquared/SolveTimeChiSquareMTTF"),
    SOLVETIME_NHPPCHISQUARED("07", "可修系统分布-testtime", "Chiquare/SolveTime_NHPPChiSquared", "ReliabilityDemonstraion/ChiSquared/SolveTime_NHPPChiSquared"),
    SOLVENUMOFSYST_NHPPCHISQUARED("07", "可修系统分布-systems", "Chiquare/SolveNumofSyst_NHPPChiSquared", "ReliabilityDemonstraion/ChiSquared/SolveNumofSyst_NHPPChiSquared"),
    SOLVECONFIDENCE_NHPPCHISQUARED("07", "可修系统分布-confidence", "Chiquare/SolveConfidence_NHPPChiSquared", "ReliabilityDemonstraion/ChiSquared/SolveConfidence_NHPPChiSquared"),
    SOLVEMTBF_NHPPCHISQUARED("08", "修正有效性验证测试", "FixEffectivenss", "ReliabilityDemonstraion/FixEffectiviness/FixEffectivenss");


    private String index;

    private String name;

    private String path;

    private String windowsPath;

    private EwbTestDesignEnum(String index, String name, String path, String windowsPath) {
        this.index = index;
        this.name = name;
        this.path = path;
        this.windowsPath = windowsPath;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, EwbTestDesignEnum> JSON_ARRAY_MAP = new HashMap<String, EwbTestDesignEnum>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (EwbTestDesignEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getPathByIndex(String index, String serverSystem) {
        for (EwbTestDesignEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return EwbConstants.SERVER_SYSTEM_LINUX.equals(serverSystem) ? e.getPath() : e.getWindowsPath();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getName(String index) {
        for (EwbTestDesignEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getWindowsPath() {
        return windowsPath;
    }

    public void setWindowsPath(String windowsPath) {
        this.windowsPath = windowsPath;
    }
}
