package com.nationrel.modules.weibull.enums;


import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.Objects;

public enum EwbVerficationTypeEnum {
    /**
     *
     */

    可靠度("1", "可靠度", "可靠度-R(t)"),
    MTTF("2", "MTTF", "MTTF"),
    置信水平("3", "置信水平", "ConfLevel"),
    单元数量("4", "单元数量", "SampleSize");

    private String index;

    private String chinese;

    private String english;

    private EwbVerficationTypeEnum(String index, String chinese, String english) {
        this.index = index;
        this.chinese = chinese;
        this.english = english;
    }

    public String getChinese() {
        return chinese;
    }

    public String getIndex() {
        return index;
    }

    public String getEnglish() {
        return english;
    }

    public static String getChinese(String index) {
        for (EwbVerficationTypeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getChinese();
            }
        }
        return null;
    }

    public static String getLanguageMessageByKey(EwbFixEffectivinessParamEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getLanguageMessageByKey(String index, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return getChinese(index);
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return getEnglish(index);
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getEnglish(String index) {
        for (EwbVerficationTypeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getEnglish();
            }
        }
        return null;
    }
}
