package com.nationrel.modules.weibull.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.weibull.general.domain.enums.common.EwbConstants;
import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

/**
 * 指数卡方weibull-
 */
public enum EwbWeibullChiSquaredEnum {
    /**
     *
     */
    SOLVEDEMOREL_WEIBULLCHISQUARED("1", "验证可靠性", "SolveConfidence", "Weibull_Chiquare/SolveDemoRel_WeibullChiSquareRel", "ReliabilityDemonstraion/Weibull_ChiSquared/SolveDemoRel_WeibullChiSquareRel"),
    SOLVECONFIDENCE_WEIBULLCHISQUARED("2", "置信水平", "SolveConfidence", "Weibull_Chiquare/SolveConfidence_WeibullChiSquareRel", "ReliabilityDemonstraion/Weibull_ChiSquared/SolveConfidence_WeibullChiSquareRel"),
    SOLVEMTTF_WEIBULLCHISQUARED("3", "平均失效时间", "SolveConfidence", "Weibull_Chiquare/SolveMTTF_WeibullChiSquareMTTF", "ReliabilityDemonstraion/Weibull_ChiSquared/SolveMTTF_WeibullChiSquareMTTF"),
    SOLVECONFIDENCE_WEIBULLCHISQUAREDMTTF("4", "置信水平MTTF", "Weibull_ChiSquared", "Weibull_Chiquare/SolveConfidence_WeibullChiSquareMTTF", "ReliabilityDemonstraion/Weibull_ChiSquared/SolveConfidence_WeibullChiSquareMTTF");


    private String index;

    private String name;

    private String english;

    private String path;

    private String windowsPath;

    private EwbWeibullChiSquaredEnum(String index, String name, String english, String path, String windowsPath) {
        this.index = index;
        this.name = name;
        this.english = english;
        this.path = path;
        this.windowsPath = windowsPath;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public String getWindowsPath() {
        return windowsPath;
    }

    public void setWindowsPath(String windowsPath) {
        this.windowsPath = windowsPath;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, EwbWeibullChiSquaredEnum> JSON_ARRAY_MAP = new HashMap<String, EwbWeibullChiSquaredEnum>();

    public static final com.alibaba.fastjson.JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (EwbWeibullChiSquaredEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (EwbWeibullChiSquaredEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getEnglish(String index) {
        for (EwbWeibullChiSquaredEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getEnglish();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getPathByIndex(String index, String serverSystem) {
        for (EwbWeibullChiSquaredEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return EwbConstants.SERVER_SYSTEM_LINUX.equals(serverSystem) ? e.getPath() : e.getWindowsPath();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static EwbWeibullChiSquaredEnum getWeibullChiSquaredEnum(String index) {
        for (EwbWeibullChiSquaredEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e;
            }
        }
        return null;
    }

    public static String getLanguageMessageByKey(EwbWeibullChiSquaredEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getName();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
//        if (Objects.equals(languagekey, FmeaLanguageKeyEnum.繁体中文.getIndex())) return promptEnum.getTw();
//        if (Objects.equals(languagekey, FmeaLanguageKeyEnum.日语.getIndex())) return promptEnum.getJapanese();
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getLanguageMessageByKey(String index, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return getName(index);
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return getEnglish(index);
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
