package com.nationrel.modules.weibull.enums;

import com.nationrel.modules.weibull.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.weibull.general.util.common.BasicDataUtil;

import java.util.Objects;

public enum EwbWeibullChiSquaredParamEnum {
    /**
     *
     */
    timeforMTBF("timeforMTBF", "timeforMTBF", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    NumofF("NumofF", "NumofF", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    ConfidenceLevel("置信水平", "ConfidenceLevel", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    numofSyst("numofSyst", "numofSyst", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    TestTimeperSys("所需可靠性的时间(小时)", "TestTimeperSys", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください");


    EwbWeibullChiSquaredParamEnum(String chinese, String english, String tw, String japanese) {
        this.chinese = chinese;
        this.english = english;
        this.tw = tw;
        this.japanese = japanese;
    }

    private String chinese;

    private String english;

    private String tw;

    private String japanese;

    public String getChinese() {
        return chinese;
    }

    public void setChinese(String chinese) {
        this.chinese = chinese;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public String getTw() {
        return tw;
    }

    public void setTw(String tw) {
        this.tw = tw;
    }

    public String getJapanese() {
        return japanese;
    }

    public void setJapanese(String japanese) {
        this.japanese = japanese;
    }


    public static String getLanguageMessageByKey(EwbWeibullChiSquaredParamEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.繁体中文.getIndex())) {
            return promptEnum.getTw();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.日语.getIndex())) {
            return promptEnum.getJapanese();
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
