package com.nationrel.modules.weibull.util;

import com.nationrel.modules.weibull.general.domain.enums.common.EwbConstants;
import com.nationrel.modules.weibull.entity.*;
import org.springframework.stereotype.Component;

import java.sql.*;
import java.util.List;

@Component
public class JDBC2Util {

    public static void batchInsert(List<EwbAnalysisDataDetail> analysisDataDetailList, String mysqlUrl, String mysqlUserName, String mysqlPassword) {
        //1.导入驱动jar包
        //2.注册驱动(mysql5之后的驱动jar包可以省略注册驱动的步骤)
        //Class.forName("com.mysql.jdbc.Driver");
        //3.获取数据库连接对象
        Connection conn = null;
        PreparedStatement pstmt = null;
        try {
            //"&rewriteBatchedStatements=true",一次插入多条数据，只插入一次
            conn = DriverManager.getConnection(mysqlUrl.split(" \\?")[0] + "&rewriteBatchedStatements=true", mysqlUserName, mysqlPassword);
            conn.setAutoCommit(false);
            String sql = "delete from ewb_analysis_data_detail where DATA_ID = " + "'" + analysisDataDetailList.get(0).getDataId() + "'";
            pstmt = conn.prepareStatement(sql);
            pstmt.execute();
            //4.定义sql语句
            sql = "insert into ewb_analysis_data_detail (DATA_ID,DATA_NO,QUANTITY,LAST_INSPECT_TIME,F_S,FAILURE_END_TIME,FAILURE_TIME,DATA_TYPE,COMMENT1,COMMENT2,COMMENT3,COMMENT4,COMMENT5) values(?,?,?,?,?,?,?,?,?,?,?,?,?)";
            //5.获取执行sql的对象PreparedStatement
            pstmt = conn.prepareStatement(sql);
            int resultNum = 0;
            //6.不断产生sql
            for (int i = 0, analysisDataDetailListSize = analysisDataDetailList.size(); i < analysisDataDetailListSize; i++) {
                EwbAnalysisDataDetail dataDetail = analysisDataDetailList.get(i);
                if (i != 0 && i % EwbConstants.MAX_BATCH_NUMMAX == 0) {
                    pstmt.executeBatch();
                    pstmt.clearBatch();
                    resultNum = 0;
                }
                resultNum++;
                pstmt.setString(1, dataDetail.getDataId());
                if (dataDetail.getDataNo() == null) {
                    pstmt.setNull(2, Types.INTEGER);
                } else {
                    pstmt.setInt(2, dataDetail.getDataNo());
                }
                if (dataDetail.getQuantity() == null) {
                    pstmt.setNull(3, Types.INTEGER);
                } else {
                    pstmt.setInt(3, dataDetail.getQuantity());
                }
                if (dataDetail.getLastInspectTime() == null) {
                    pstmt.setNull(4, Types.DOUBLE);
                } else {
                    pstmt.setDouble(4, dataDetail.getLastInspectTime());
                }
                pstmt.setString(5, dataDetail.getFailureSuspension());
                if (dataDetail.getFailureEndTime() == null) {
                    pstmt.setNull(6, Types.DOUBLE);
                } else {
                    pstmt.setDouble(6, dataDetail.getFailureEndTime());
                }
                if (dataDetail.getFailureTime() == null) {
                    pstmt.setNull(7, Types.DOUBLE);
                } else {
                    pstmt.setDouble(7, dataDetail.getFailureTime());
                }
                pstmt.setString(8, dataDetail.getDataType());
                pstmt.setString(9, dataDetail.getComment1());
                pstmt.setString(10, dataDetail.getComment2());
                pstmt.setString(11, dataDetail.getComment3());
                pstmt.setString(12, dataDetail.getComment4());
                pstmt.setString(13, dataDetail.getComment5());
                pstmt.addBatch();
            }
            //7.往数据库插入一次数据
            if (resultNum > 0) {
                pstmt.executeBatch();
            }
            conn.commit();//执行完后，手动提交事务
            conn.setAutoCommit(true);//再把自动提交打开，避免影响其他需要自动提交的操作
        } catch (SQLException e) {
            e.printStackTrace();
        } finally {
            //8.释放资源
            //避免空指针异常
            if (pstmt != null) {
                try {
                    pstmt.close();
                } catch (SQLException e) {
                    e.printStackTrace();
                }
            }

            if (conn != null) {
                try {
                    conn.close();
                } catch (SQLException e) {
                    e.printStackTrace();
                }
            }
        }
    }

    public static void batchInsertRank(List<EwbAnalysisDataRank> analysisDataDetailList, String mysqlUrl, String mysqlUserName, String mysqlPassword) {
        //1.导入驱动jar包
        //2.注册驱动(mysql5之后的驱动jar包可以省略注册驱动的步骤)
        //Class.forName("com.mysql.jdbc.Driver");
        //3.获取数据库连接对象
        Connection conn = null;
        PreparedStatement pstmt = null;
        try {
            //"&rewriteBatchedStatements=true",一次插入多条数据，只插入一次
            conn = DriverManager.getConnection(mysqlUrl.split(" \\?")[0] + "&rewriteBatchedStatements=true", mysqlUserName, mysqlPassword);
            conn.setAutoCommit(false);
            String sql = "delete from ewb_analysis_data_rank where DATA_ID = " + "'" + analysisDataDetailList.get(0).getDataId() + "'";
            pstmt = conn.prepareStatement(sql);
            pstmt.execute();
            //4.定义sql语句
            sql = "insert into ewb_analysis_data_rank (DATA_ID,DATA_NO,FAILURE_TIME,FAILURE_RANK) values(?,?,?,?)";
            //5.获取执行sql的对象PreparedStatement
            pstmt = conn.prepareStatement(sql);
            int resultNum = 0;
            //6.不断产生sql
            for (int i = 0, analysisDataDetailListSize = analysisDataDetailList.size(); i < analysisDataDetailListSize; i++) {
                EwbAnalysisDataRank dataDetail = analysisDataDetailList.get(i);
                if (i != 0 && i % EwbConstants.MAX_BATCH_NUMMAX == 0) {
                    pstmt.executeBatch();
                    pstmt.clearBatch();
                    resultNum = 0;
                }
                resultNum++;
                pstmt.setString(1, dataDetail.getDataId());
                if (dataDetail.getDataNo() == null) {
                    pstmt.setNull(2, Types.INTEGER);
                } else {
                    pstmt.setInt(2, dataDetail.getDataNo());
                }
                if (dataDetail.getFailureTime() == null) {
                    pstmt.setNull(3, Types.INTEGER);
                } else {
                    pstmt.setDouble(3, dataDetail.getFailureTime());
                }
                if (dataDetail.getFailureRank() == null) {
                    pstmt.setNull(4, Types.DOUBLE);
                } else {
                    pstmt.setDouble(4, dataDetail.getFailureRank());
                }
                pstmt.addBatch();
            }
            //7.往数据库插入一次数据
            if (resultNum > 0) {
                pstmt.executeBatch();
            }
            conn.commit();//执行完后，手动提交事务
            conn.setAutoCommit(true);//再把自动提交打开，避免影响其他需要自动提交的操作
        } catch (SQLException e) {
            e.printStackTrace();
        } finally {
            //8.释放资源
            //避免空指针异常
            if (pstmt != null) {
                try {
                    pstmt.close();
                } catch (SQLException e) {
                    e.printStackTrace();
                }
            }

            if (conn != null) {
                try {
                    conn.close();
                } catch (SQLException e) {
                    e.printStackTrace();
                }
            }
        }
    }

}
