package com.nationrel.modules.weibull.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;


/**
 * @ClassName RldAnalysisDataDetailModel
 * @Description 寿命数据分析明细实现类
 * @Author
 * @Version V1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisDataDetailVo implements Serializable {

    /**
     * @Fields serialVersionUID
     */
    private static final long serialVersionUID = 849333913413679148L;

    @Schema(description = "数据ID")
    private String dataId;

    @Schema(description = "数据编号")
    private String dataNo;

    @Schema(description = "数量")
    private String quantity;

    @Schema(description = "最近检查时间")
    private String lastInspectTime;

    @Schema(description = "F或S状态")
    private String failureSuspension;

    @Schema(description = "结束时间")
    private String failureEndTime;

    @Schema(description = "失效时间")
    private String failureTime;

    @Schema(description = "备注信息1")
    private String comment1;

    @Schema(description = "备注信息2")
    private String comment2;

    @Schema(description = "备注信息3")
    private String comment3;

    @Schema(description = "备注信息4")
    private String comment4;

    @Schema(description = "备注信息5")
    private String comment5;

    @Schema(description = "数据类型")
    private String dataType;

    @Schema(description = "最大失效时间")
    private Double maxFailureTime;

    @Schema(description = "最小失效时间")
    private Double minFailureTime;

    public static String[] toStringStr(EwbAnalysisDataDetailVo detailVo) {
        return new String[]{detailVo.getDataNo(), detailVo.getQuantity(), detailVo.getLastInspectTime(), detailVo.getFailureSuspension(), detailVo.getFailureEndTime(), detailVo.getFailureTime(), detailVo.getComment1()};
    }
}
