package com.nationrel.modules.weibull.vo;

import com.nationrel.modules.weibull.entity.EwbAnalysisDataDetail;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @author Aimee on 2020/9/24.
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisDataSaveVo {

    @Schema(description = "页面明细数据集合 JSON格式")
    private String dataDetails;

    @Schema(description = "包含删失数据(右删失数据) 1:选中  0:未选中")
    private String rightFlag;

    @Schema(description = "包含区间数据或左删失数据 1:选中  0:未选中")
    private String leftFlag;

    @Schema(description = "分组数据 1:选中  0:未选中")
    private String groupingFlag;

    @Schema(description = "概率VS时间 1:选中  0:未选中")
    private String timeForRank;

    @Schema(description = "当前页起始数据编号 (比如第1页10条数据，当前值为1.第2页10条，当前值为11)")
    private int startDataNo;

    @Schema(description = "当前页结束数据编号 (比如第1页10条数据，当前值为10.第2页10条，当前值为20) ")
    private int endDataNo;

    @Schema(description = "分析ID ")
    @NotBlank(message = "AnalysisIdNotEmpty")
    private String analysisId;

    @Schema(description = "数据ID ")
    @NotBlank(message = "DataIdNotEmpty")
    private String dataId;

    @Schema(description = "数据是否修改")
    private Integer hotDataChange;

    @Schema(description = "数据是否修改")
    private Integer hotDataRankChange;

    @Schema(description = "页面明细数据集合")
    private List<EwbAnalysisDataDetail> analysisDataDetails;

    @Schema(description = "页面明细数据集合")
    private List<String[]> analysisDatas;

    @Schema(description = "页面明细数据集合")
    private List<String[]> analysisDatasRank;

}
