package com.nationrel.modules.weibull.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * @author Aimee on 2020/10/20.
 */
@Schema(description = "项目创建实体")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisInfoCreateVo {
    @Schema(description = "项目名称")
    @NotBlank(message = "NameNotEmpty")
    private String wbName;

    @Schema(description = "对象编号")
    private String objectCode;

    @Schema(description = "对象名称")
    private String objectName;

    @Schema(description = "分析类型（life:综合分析;weibull:weibull分析;degradation:退化分析;costOpti:成本优化分析;nevadaNRI:内华达分析NRI;nevadaRI:内华达分析RI;）", required = true)
    private String analysisType;

    @Schema(description = "备注")
    private String description;
}
