package com.nationrel.modules.weibull.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import jakarta.validation.constraints.NotBlank;

/**
 * @author Aimee on 2020/10/21.
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbAnalysisStartVo {
    @Schema(description = "分析ID")
    @NotBlank(message = "AnalysisIdNotEmpty")
    private String analysisId;

    @Schema(description = "检测成本分析ID")
    private String inspectIntervalId;

    @Schema(description = "替换成本分析ID")
    private String replaceIntervalId;

    @Schema(description = "分析名称")
    private String analysisName;

    @Schema(description = "数据ID")
    private String dataId;

    @Schema(description = "分析设定ID")
    @NotBlank(message = "SetIdNotEmpty")
    private String settingId;

    @Schema(description = "β")
    private Double beta;

    @Schema(description = "∑")
    private Double sigma;

    @Schema(description = "logsigma")
    private Double logsigma;

    private String plotType;

    private String boundSided;

    private String confidenceLevel;

    private String believePercent;

    private String maintenanceType;

    private String method;

    private String parameterCode;

    private String distributingCode;

    private String estimationMethodCode;

    private String isRankOrNodata;

    private Double planReplace;

    private Double unPlanReplace;

    private Double inspectTask;

    private Double failDetect;

    @Schema(description = "X-axis开始")
    private Double xaxisStart;

    @Schema(description = "X-axis结束")
    private Double xaxisEnd;

    @Schema(description = "Y-axis开始")
    private Double yaxisStart;

    @Schema(description = "Y-axis结束")
    private Double yaxisEnd;
}
