package com.nationrel.modules.weibull.vo;

import com.nationrel.modules.weibull.entity.EwbAnalysisFrBelieve;
import com.nationrel.modules.weibull.entity.EwbAnalysisPrBelieve;
import com.nationrel.modules.weibull.entity.EwbAnalysisRank;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;


/**
 * @ClassName RldChartDataModel
 * @Description 寿命数据作图数据模板
 * @Version V1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbChartDataModel implements Serializable {

    /** @Fields serialVersionUID */
    private static final long serialVersionUID = 849333913413679148L;

    /** @Fields settingId : 分析设定ID */
    private String settingId;

    /** @Fields chartName : 作图名称 */
    private String chartName;

    /** @Fields distributingCode : 分布类型 */
    private String distributingCode;

    /** @Fields paramCode : 参数类型 */
    private String paramCode;

    /** @Fields believeCode : 置信类型  */
    private String believeCode;

    /** @Fields p1 : 参数1 */
    private Double p1;

    /** @Fields p2 : 参数2 */
    private Double p2;

    /** @Fields p3 : 参数3 */
    private Double p3;

    /** @Fields p4 : 参数4 */
    private Double p4;

    /** @Fields p4 : 参数4 */
    private Double p5;

    /** @Fields p4 : 参数4 */
    private Double p6;

    /** @Fields p4 : 参数4 */
    private Double p7;

    /** @Fields p4 : 参数4 */
    private Double p8;

    /** @Fields p4 : 参数4 */
    private Double p9;

    /** @Fields pr : 寿命数据分析概率 */
    private List<EwbAnalysisPrBelieve> pr;

    /** @Fields fr : 寿命数据分析失效率 */
    private List<EwbAnalysisFrBelieve> fr;

    /** @Fields rank : 寿命数据分析秩 */
    private List<EwbAnalysisRank> rank;

    /** @Fields apiResult : apiResult4 */
    private String apiResult;

    /** 状态为f的数据量 */
    private Integer failureQuantity;

    /** 分析数据ID */
    private String analysisId;

    /** 状态为s的数据量 */
    private Integer suspensionQuantity;

    /**
     * @return the failureQuantity
     */
    public Integer getFailureQuantity() {
        return failureQuantity;
    }

    /**
     * @param failureQuantity the failureQuantity to set
     */
    public void setFailureQuantity(Integer failureQuantity) {
        this.failureQuantity = failureQuantity;
    }

    /**
     * @return the analysisId
     */
    public String getAnalysisId() {
        return analysisId;
    }

    /**
     * @param analysisId the analysisId to set
     */
    public void setAnalysisId(String analysisId) {
        this.analysisId = analysisId;
    }

    /**
     * @return the suspensionQuantity
     */
    public Integer getSuspensionQuantity() {
        return suspensionQuantity;
    }

    /**
     * @param suspensionQuantity the suspensionQuantity to set
     */
    public void setSuspensionQuantity(Integer suspensionQuantity) {
        this.suspensionQuantity = suspensionQuantity;
    }

}
