package com.nationrel.modules.weibull.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import jakarta.validation.constraints.NotBlank;

/**
 * @author Aimee on 2020/9/24.
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class EwbDaDataDetailSaveVo {

    @Schema(description = "页面明细数据集合 JSON格式")
    @NotBlank(message = "DataNotEmpty")
    private String dataDetails;

    @Schema(description = "当前页起始数据编号 (比如第1页10条数据，当前值为1.第2页10条，当前值为11)")
    private int startDataNo;

    @Schema(description = "当前页结束数据编号 (比如第1页10条数据，当前值为10.第2页10条，当前值为20) ")
    private int endDataNo;

    @Schema(description = "数据ID")
    @NotBlank(message = "DataIdNotEmpty")
    private String daId;

}
