package com.nationrel.modules.weibull.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import jakarta.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class EwbDaSettingVo {
    @Schema(description = "DA_ID")
    @NotBlank(message = "DataIdNotEmpty")
    private String daId;

    @Schema(description = "模型类型(01:Linear  02:Exponential  03:Power  04:Logarithmic  05:Logistic  06:LogLogistic  07:Gompertz  08:LloydLipow)")
    private String modelCode;

    @Schema(description = "临界退化值")
    private Double daValue;
}