package com.nationrel.modules.weibull.vo;

import com.nationrel.modules.weibull.function.AnalysisMatrix;

/**
 * @author Aimee on 2020/9/22.
 */
public class EwbParameterVo {
    private Double lk;
    private double[] t1;
    private double[] t2;
    private double[] tu;
    private double[] tl;
    private double r;
    private double t;
    private int[] n1;
    private int[] n2;
    private int[] nu;
    private int[] nl;
    private Double p1;
    private Double p2;
    private Double p3;
    private String distributing;
    private String evalMethod;
    private String believeMethod;
    private Double believePercent;
    private String side;
    private String parameterCode;
    private String dataType;
    private String funcType;
    private Double db;
    private Double de;
    private Double dbe;
    private double[][] v;
    private double k;
    private Double startT;
    private Double endT;
    private Double addT;
    private Double failPercent;
    private String calcType;
    private int chartType;

    public EwbParameterVo() {
    }

    public Double getLk() {
        return this.lk;
    }

    public void setLk(Double lk) {
        this.lk = lk;
    }

    public double[] getT1() {
        return this.t1;
    }

    public void setT1(double[] t1) {
        this.t1 = t1;
    }

    public double[] getT2() {
        return this.t2;
    }

    public void setT2(double[] t2) {
        this.t2 = t2;
    }

    public double[] getTu() {
        return this.tu;
    }

    public void setTu(double[] tu) {
        this.tu = tu;
    }

    public double[] getTl() {
        return this.tl;
    }

    public void setTl(double[] tl) {
        this.tl = tl;
    }

    public String getBelieveMethod() {
        return this.believeMethod;
    }

    public void setBelieveMethod(String believeMethod) {
        this.believeMethod = believeMethod;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public Double getBelievePercent() {
        return this.believePercent;
    }

    public void setBelievePercent(Double believePercent) {
        this.believePercent = believePercent;
    }

    public String getSide() {
        return this.side;
    }

    public void setSide(String side) {
        this.side = side;
    }

    public Double getP1() {
        return this.p1;
    }

    public void setP1(Double p1) {
        this.p1 = p1;
    }

    public Double getP2() {
        return this.p2;
    }

    public void setP2(Double p2) {
        this.p2 = p2;
    }

    public Double getP3() {
        return this.p3;
    }

    public void setP3(Double p3) {
        this.p3 = p3;
    }

    public String getDistributing() {
        return this.distributing;
    }

    public void setDistributing(String distributing) {
        this.distributing = distributing;
    }

    public Double getDb() {
        return this.db;
    }

    public void setDb(Double db) {
        this.db = db;
    }

    public Double getDe() {
        return this.de;
    }

    public void setDe(Double de) {
        this.de = de;
    }

    public Double getDbe() {
        return this.dbe;
    }

    public void setDbe(Double dbe) {
        this.dbe = dbe;
    }

    public int getChartType() {
        return this.chartType;
    }

    public void setChartType(int chartType) {
        this.chartType = chartType;
    }

    public String getDataType() {
        return this.dataType;
    }

    public String getEvalMethod() {
        return this.evalMethod;
    }

    public void setEvalMethod(String evalMethod) {
        this.evalMethod = evalMethod;
    }

    public int[] getN1() {
        return this.n1;
    }

    public void setN1(int[] n1) {
        this.n1 = n1;
    }

    public int[] getN2() {
        return this.n2;
    }

    public void setN2(int[] n2) {
        this.n2 = n2;
    }

    public int[] getNu() {
        return this.nu;
    }

    public void setNu(int[] nu) {
        this.nu = nu;
    }

    public int[] getNl() {
        return this.nl;
    }

    public void setNl(int[] nl) {
        this.nl = nl;
    }

    public double[][] getV() {
        Double x1 = this.getDb();
        Double x2 = this.getDe();
        Double x3 = this.getDbe();
        Double x4 = this.getDbe();
        if (x1 != null && x2 != null && x3 != null && x4 != null) {
            AnalysisMatrix f = new AnalysisMatrix(x1, x2, x3, x4);
            this.v = f.solve().getData();
        }

        return this.v;
    }

    public double getExpV() {
        Double x1 = this.getDb();
        return x1 != null ? 1.0D / x1 : 0.0D;
    }

    public void setV(double[][] v) {
        this.v = v;
    }

    public double getK() {
        String ct = this.getBelieveMethod();
        double q = this.getBelievePercent();
        this.k = q;
        if (ct.equals("01")) {
            this.k = this.getFmK();
        } else if (ct.equals("02")) {
            this.k = this.getLrK();
        }

        return this.k;
    }

    public void setK(double k) {
        this.k = k;
    }

    public double getFmK() {
        double q = this.getBelievePercent();
        if (this.side.equals("01")) {
            this.k = 1.0D - (1.0D - q) / 2.0D;
        } else {
            this.k = q;
        }

        return this.k;
    }

    public double getLrK() {
        double q = this.getBelievePercent();
        if (!this.side.equals("01")) {
            this.k = 2.0D * q - 1.0D;
        } else {
            this.k = q;
        }

        return this.k;
    }

    public String getFuncType() {
        return this.funcType;
    }

    public void setFuncType(String funcType) {
        this.funcType = funcType;
    }

    public Object clone() {
        Object o = null;

        try {
            o = super.clone();
        } catch (CloneNotSupportedException var3) {
            System.out.println(var3.getMessage());
        }

        return o;
    }

    public double getR() {
        return this.r;
    }

    public void setR(double r) {
        this.r = r;
    }

    public double getT() {
        return this.t;
    }

    public void setT(double t) {
        this.t = t;
    }

    public Double getStartT() {
        return this.startT;
    }

    public void setStartT(Double startT) {
        this.startT = startT;
    }

    public Double getEndT() {
        return this.endT;
    }

    public void setEndT(Double endT) {
        this.endT = endT;
    }

    public Double getAddT() {
        return this.addT;
    }

    public void setAddT(Double addT) {
        this.addT = addT;
    }

    public Double getFailPercent() {
        return this.failPercent;
    }

    public void setFailPercent(Double failPercent) {
        this.failPercent = failPercent;
    }

    public String getCalcType() {
        return this.calcType;
    }

    public void setCalcType(String calcType) {
        this.calcType = calcType;
    }

    public String getParameterCode() {
        return this.parameterCode;
    }

    public void setParameterCode(String parameterCode) {
        this.parameterCode = parameterCode;
    }
}
