package com.nationrel.modules.weibull.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Schema(description = "non内华达分析设定表")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class NevadaSettingVo {
    @Schema(description = "内华达ID同时也是analysisId")
    private String nevadaId;

    @Schema(description = "wbId")
    private String wbId;

    @Schema(description = "数据ID ")
    private String dataId;

    @Schema(description = "分析设定ID")
    private String settingId;

    @Schema(description = "内华达数据名称")
    private String analysisName;

    @Schema(description = "数据单位：01:Mounths;02:Days;03:Years;04:Numbers;")
    private String periodsIn;

    @Schema(description = "数值起始")
    private Integer startNumber;

    @Schema(description = "年份起始")
    private String startYear;

    @Schema(description = "月份起始")
    private String startMounth;

    @Schema(description = "日期起始")
    private String startDay;

    @Schema(description = "预测数值起始")
    private Integer futureStartNumber;

    @Schema(description = "预测年份起始")
    private String futureStartYear;

    @Schema(description = "预测月份起始")
    private String futureStartMounth;

    @Schema(description = "预测日期起始")
    private String futureStartDay;

    @Schema(description = "预测数据取整类型")
    private Integer forecastType;

    @Schema(description = "时间段个数")
    private Integer numberPeriod;

    @Schema(description = "预测时间段个数")
    private Integer futureNumberPeriod;

    @Schema(description = "步长")
    private Integer increment;

    @Schema(description = "预测周期")
    private Integer forecast;

    @Schema(description = "whichTree")
    private String whichTree;
}