package com.nationrel.modules.weibull.vo;

import com.nationrel.modules.weibull.entity.EwbAnalysisDataDetail;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SolveDemoRelWeibullChiSquareRelVo {

    @Schema(description = "计算ID")
    private String solveId;
    @Schema(description = "计算名称")
    private String solveName;

    private String dataId;

    @Schema(description = "表格数据是否修标识 1:修改过")
    private String isUpdateHotData;

    @Schema(description = "当前页起始数据编号")
    private int startDataNo;

    @Schema(description = "当前页结束数据编号")
    private int endDataNo;

    @Schema(description = "beta", required = true)
    private String beta;

    @Schema(description = "要求的置信水平1-100%", required = true)
    private String confidenceLevel;

    @Schema(description = "可靠度", required = true)
    private String reliability;

    @Schema(description = "time", required = true)
    private String time;

    @Schema(description = "mttf", required = true)
    private String mttf;

    @Schema(description = "计算类型")
    private String verficationCode;

    @Schema(description = "页面明细数据集合 JSON格式")
    private List<String[]> dataDetails;

    @Schema(description = "页面明细数据集合 JSON格式")
    private List<EwbAnalysisDataDetail> analysisDataDetails;

    private int totalNumFailureAndSuspensions;

    private int totalNumSuspensions;

    private int totalNumFailures;

    private int totalNumofRows;

    private int totalFailureRows;

    private int totalSuspensionRows;

    public SolveDemoRelWeibullChiSquareRelVo(int startDataNo, int endDataNo, List<EwbAnalysisDataDetail> analysisDataDetails, int totalNumFailureAndSuspensions, int totalNumSuspensions, int totalNumFailures, int totalNumofRows, int totalFailureRows, int totalSuspensionRows) {
        this.startDataNo = startDataNo;
        this.endDataNo = endDataNo;
        this.analysisDataDetails = analysisDataDetails;
        this.totalNumFailureAndSuspensions = totalNumFailureAndSuspensions;
        this.totalNumSuspensions = totalNumSuspensions;
        this.totalNumFailures = totalNumFailures;
        this.totalNumofRows = totalNumofRows;
        this.totalFailureRows = totalFailureRows;
        this.totalSuspensionRows = totalSuspensionRows;
    }
}
