package com.nationrel.modules.weibull.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SolveTimeMTTFVo {

    @Schema(description = "计算ID")
    private String solveId;
    @Schema(description = "计算名称")
    private String solveName;
    @Schema(description = "分布类型（01:Weibull，02:Lognormal，03:Normal，04:Exponential）", required = true)
    private String distributingCode;
    @SuppressWarnings("AlibabaLowerCamelCaseVariableNaming")
    @Schema(description = "MTTF", required = true)
    private String MTTF;
    @Schema(description = "要求的置信水平1-100%", required = true)
    private String confidenceLevel;
    @Schema(description = "测试单元", required = true)
    private String sampleSize;
    @Schema(description = "失效", required = true)
    private String allowFailures;
    @Schema(description = "假定值", required = true)
    private String shape;
    @Schema(description = "计算方式（1：测试时间  2：测试单元）")
    private String calcCode;

}
