package com.nationrel.modules.weibull.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbAnalysisData;
import com.nationrel.modules.weibull.vo.EwbAnalysisModel;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

public interface EwbAnalysisDataMapper extends BaseMapper<EwbAnalysisData> {

    /**
     * @Title: searchAanlysisDataByAnalysisId
     * @Description: 根据分析标识获取寿命数据信息
     * @param analysisId 分析ID
     * @return RldAnalysisModel
     */
    EwbAnalysisModel searchAanlysisDataByAnalysisId(@Param("analysisId") String analysisId);

    void updateByPrimaryKey(EwbAnalysisData upAnalysisData);

    @Update("update ewb_analysis_data set is_rank_or_nodata = #{isRankOrNodata} where data_id = #{dataId}")
    void updateIsRankOrNodata(String dataId, String isRankOrNodata);

    EwbAnalysisData searchAanlysisData(@Param("analysisId") String analysisId,
                                       @Param("rightFlag") String rightFlag, @Param("leftFlag") String leftFlag,
                                       @Param("groupingFlag") String groupingFlag);

    @Insert("INSERT into ewb_analysis_data(DATA_ID, ANALYSIS_ID, SOURCE, QUANTITY, C_QUANTITY, R_QUANTITY, I_QUANTITY, L_QUANTITY, R_FLAG, L_FLAG, GROUPING_FLAG, FAILURE_MODE_FLAG, EDIT_FLAG, INSERT_TIME, INSERT_USER_ID, UPDATE_TIME, UPDATE_USER_ID, VERSION_NO) " +
            "select #{dataId}, #{targetAnalysisId}, SOURCE, QUANTITY, C_QUANTITY, R_QUANTITY, I_QUANTITY, L_QUANTITY, R_FLAG, L_FLAG, GROUPING_FLAG, FAILURE_MODE_FLAG, EDIT_FLAG, now(), INSERT_USER_ID, UPDATE_TIME, UPDATE_USER_ID, 1 from ewb_analysis_data where ANALYSIS_ID = #{analysisId}")
    void copyData(@Param("analysisId") String analysisId, @Param("targetAnalysisId") String targetAnalysisId, @Param("dataId") String dataId);
}