package com.nationrel.modules.weibull.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbAnalysisDisWizard;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EwbAnalysisDisWizardMapper extends BaseMapper<EwbAnalysisDisWizard> {

    /**
     * @Title: deleteByDataId
     * @Description: 根据数据Id删除数据
     * @param dataId 数据Id
     */
    void deleteByDataId(@Param("dataId") String dataId);

    @Insert("INSERT into ewb_analysis_dis_wizard(DATA_ID, DISTRIBUTING_CODE, PARAMETER_CODE, P1, P2, P3, LK, PHO, INSERT_TIME, INSERT_USER_ID, UPDATE_TIME, UPDATE_USER_ID, VERSION_NO) " +
            "select #{targetDataId}, DISTRIBUTING_CODE, PARAMETER_CODE, P1, P2, P3, LK, PHO, now(), INSERT_USER_ID, UPDATE_TIME, UPDATE_USER_ID, VERSION_NO from ewb_analysis_dis_wizard where DATA_ID = #{dataId}")
    void copyData(@Param("dataId") String dataId, @Param("targetDataId") String targetDataId);

    /**
     * @Title: selectByDataId
     * @Description: 根据数据ID搜索分布向导
     * @param dataId 数据ID
     * @return List<RldAnalysisDisWizard>
     */
    List<EwbAnalysisDisWizard> selectByDataId(@Param("dataId") String dataId);
}