package com.nationrel.modules.weibull.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbAnalysisInfo;
import com.nationrel.modules.weibull.vo.EwbAnalysisListVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.Date;
import java.util.List;

public interface EwbAnalysisInfoMapper extends BaseMapper<EwbAnalysisInfo> {

    List<EwbAnalysisListVo> selectSearch(@Param("userName") String userName, @Param("wbName") String wbName, @Param("analysisType") String analysisType, @Param("start") Integer start, @Param("end") Integer end);

    @Update("update ewb_analysis_info set DEL_FLAG = 1 where WB_ID = #{wbId}")
    void deleteWb(@Param("wbId") String wbId);

    @Update("update ewb_analysis_info set DEL_FLAG = 0 where WB_ID = #{wbId}")
    void recoverWb(@Param("wbId") String wbId);

    @Select("select * from ewb_analysis_info where WB_ID = #{wbId}")
    EwbAnalysisInfo getWbAndDel(@Param("wbId") String wbId);

    @Update("update ewb_analysis_info set update_time = #{now}, update_by = #{userName} where wb_id = #{wbId}")
    void updateUpdateInfo(Date now, String userName, String wbId);
}