package com.nationrel.modules.weibull.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbAnalysisPrBelieve;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EwbAnalysisPrBelieveMapper extends BaseMapper<EwbAnalysisPrBelieve> {

    /**
     * @Title: deleteBySettingId
     * @Description: 根据设定Id删除数据
     * @param settingId 参数设置Id
     */
    void deleteBySettingId(@Param("settingId") String settingId);

    /**
     * @Title: selectPrBelieveBySettingId
     * @Description: 获取概率图置信数据
     * @param settingId 参数设置Id
     * @return List<RldAnalysisPrBelieve>
     */
    List<EwbAnalysisPrBelieve> selectPrBelieveBySettingId(@Param("settingId") String settingId);

    @Insert("INSERT into ewb_analysis_pr_believe(SETTING_ID, SORT_NO, UB_TIME, UB_VALUE, UB_X, UB_Y, LB_TIME, LB_VALUE, LB_X, LB_Y) " +
            "select #{targetSettingId}, SORT_NO, UB_TIME, UB_VALUE, UB_X, UB_Y, LB_TIME, LB_VALUE, LB_X, LB_Y from ewb_analysis_pr_believe where SETTING_ID = #{settingId}")
    void copyData(@Param("settingId") String settingId, @Param("targetSettingId") String targetSettingId);
}