package com.nationrel.modules.weibull.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbAnalysisResultDetail;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EwbAnalysisResultDetailMapper extends BaseMapper<EwbAnalysisResultDetail> {

    /**
     * @Title deleteAnalysisResultDetail 删除分析结果数据
     * @param settingId 设置Id
     */
    void deleteAnalysisResultDetail(@Param("settingId") String settingId);

    @Insert("INSERT into ewb_ANALYSIS_RESULT_DETAIL(SETTING_ID, SORT_NO, MIX_BETA, MIX_ETA, MIX_P, MIX_VARBETA, MIX_VARETA, MIX_VARP, MIX_COVBETAETA, MIX_COVP) " +
            "select #{targetSettingId}, SORT_NO, MIX_BETA, MIX_ETA, MIX_P, MIX_VARBETA, MIX_VARETA, MIX_VARP, MIX_COVBETAETA, MIX_COVP from ewb_ANALYSIS_RESULT_DETAIL where SETTING_ID = #{settingId}")
    void copyData(@Param("settingId") String settingId, @Param("targetSettingId") String targetSettingId);


    @Insert({"<script>",
            "insert into ewb_ANALYSIS_RESULT_DETAIL (SETTING_ID,SORT_NO,MIX_BETA,MIX_ETA,MIX_P,MIX_VARBETA,MIX_VARETA,MIX_VARP,MIX_COVBETAETA,MIX_COVP) values",
            "<foreach collection='resultDetailList' item='resultDetail' index='index' separator=','>",
            "(#{resultDetail.settingId},#{resultDetail.sortNo},#{resultDetail.mixBeta},#{resultDetail.mixEta},#{resultDetail.mixP},#{resultDetail.mixVarbeta},#{resultDetail.mixVareta},#{resultDetail.mixVarp},#{resultDetail.mixCovbetaeta},#{resultDetail.mixCovp})",
            "</foreach>",
            "</script>"})
    void insertBatch(@Param("resultDetailList") List<EwbAnalysisResultDetail> resultDetailList);
}