package com.nationrel.modules.weibull.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbAnalysisResult;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

public interface EwbAnalysisResultMapper extends BaseMapper<EwbAnalysisResult> {

    /**
     * @Title: selectStepBySettingId
     * @Description: 获取处理步骤
     * @param settingId settingId
     * @return int
     */
    Integer selectStepBySettingId(@Param("settingId") String settingId);
    /**
     * @Title: selectBySettingIdPageInput
     * @Description: 根据设定ID和页面输入的beta的值获取分析设定对象
     * @param settingId 设定ID
     * @param p1 参数1
     * @return RldAnalysisResult 分析结果对象
     */
    EwbAnalysisResult selectBySettingIdPageInput(@Param("settingId") String settingId, @Param("p1") Double p1);

    @Insert("INSERT into ewb_analysis_result(SETTING_ID, P1, P2, P3, RAO, LK, MTTF, B10, DB, DE, DBE, STEP_FLAG) " +
            "select #{targetSettingId}, P1, P2, P3, RAO, LK, MTTF, B10, DB, DE, DBE, STEP_FLAG from ewb_analysis_result where SETTING_ID = #{settingId}")
    void copyData(@Param("settingId") String settingId, @Param("targetSettingId") String targetSettingId);

    void deleteByPrimaryKey(@Param("settingId") String settingId);
}