package com.nationrel.modules.weibull.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbDaChartData;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EwbDaChartDataMapper extends BaseMapper<EwbDaChartData> {

    @Insert({"<script>",
            "insert into ewb_da_chart_data (DA_ID, MODEL_CODE, SORT_NO, UNIT_NO, X, Y, DA_VALUE) values",
            "<foreach collection='degradeList' item='degrade' index='index' separator=','>",
            "(#{daId},#{degrade.modelCode},#{degrade.sortNo},#{degrade.unitNo},#{degrade.x},#{degrade.y},#{degrade.daValue})",
            "</foreach>",
            "</script>"})
    void insertBatch(@Param("daId") String daId, @Param("degradeList") List<EwbDaChartData> degradeList);

    @Insert("INSERT into ewb_da_chart_data(DA_ID, DA_VALUE, MODEL_CODE, SORT_NO, UNIT_NO, X, Y)" +
            "select #{newDaId}, DA_VALUE, MODEL_CODE, SORT_NO, UNIT_NO, X, Y from ewb_da_chart_data where DA_ID = #{daId}")
    void copy(@Param("newDaId") String newDaId, @Param("daId") String daId);
}