package com.nationrel.modules.weibull.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbDaDataDetail;
import com.nationrel.modules.weibull.vo.EwbDegradationDataVo;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

public interface EwbDaDataDetailMapper extends BaseMapper<EwbDaDataDetail> {
    @Update("update " +
            "    EWB_DA_DATA_DETAIL " +
            "set " +
            "    DATA_NO = DATA_NO+${changeCount} " +
            "where " +
            "    DA_ID = #{daId,jdbcType=CHAR}  and " +
            "    DATA_NO >= #{endDataNum}")
    void updateDetailDataNum(@Param("changeCount") int changeCount, @Param("daId") String daId, @Param("endDataNum") Integer endDataNum);

    @Insert({"<script>",
            "insert into EWB_DA_DATA_DETAIL (DA_ID,DATA_NO,UNIT_NO,INSPECT_TIME,INSPECT_VALUE) values",
            "<foreach collection='dataDetails' item='dataDetail' index='index' separator=','>",
            "(#{dataDetail.daId},#{dataDetail.dataNo},#{dataDetail.unitNo},#{dataDetail.inspectTime},#{dataDetail.inspectValue})",
            "</foreach>",
            "</script>"})
    void batchInsert(@Param("dataDetails") List<EwbDaDataDetail> dataDetails);

    @Select("select UNIT_NO AS unitID, INSPECT_TIME AS time, INSPECT_VALUE AS degradation from ewb_da_data_detail where da_id = #{daId}")
    List<EwbDegradationDataVo> selectDaDetail(@Param("daId") String daId);

    @Insert("INSERT into ewb_da_data_detail(DA_ID, DATA_NO, UNIT_NO, INSPECT_TIME, INSPECT_VALUE)" +
            "select #{newDaId}, DATA_NO, UNIT_NO, INSPECT_TIME, INSPECT_VALUE from ewb_da_data_detail where DA_ID = #{daId}")
    void copy(@Param("newDaId") String newDaId, @Param("daId") String daId);
}