package com.nationrel.modules.weibull.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbDaSetting;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

public interface EwbDaSettingMapper extends BaseMapper<EwbDaSetting> {

    @Select("update EWB_DA_SETTING " +
            "set " +
            "    MAX_FAILURE_TIME = (select max(FAILURE_TIME) from EWB_DA_RESULT where  " +
            "    DA_ID = #{daId,jdbcType=CHAR}) " +
            "where  " +
            "    DA_ID = #{daId,jdbcType=CHAR}")
    void updateMaxFailureTime(@Param("daId") String daId);

    @Select("update EWB_DA_SETTING " +
            "set " +
            "    MIN_FAILURE_TIME = (select min(FAILURE_TIME) from EWB_DA_RESULT where  " +
            "    DA_ID = #{daId,jdbcType=CHAR}) " +
            "where  " +
            "    DA_ID = #{daId,jdbcType=CHAR}")
    void updateMinFailureTime(@Param("daId") String daId);

    @Insert("INSERT into ewb_da_setting(DA_ID, MODEL_CODE, DA_VALUE, MAX_FAILURE_TIME, MIN_FAILURE_TIME)" +
            "select #{newDaId}, MODEL_CODE, DA_VALUE, MAX_FAILURE_TIME, MIN_FAILURE_TIME from ewb_da_setting where DA_ID = #{daId}")
    void copy(@Param("newDaId") String newDaId, @Param("daId") String daId);
}