package com.nationrel.modules.weibull.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbDaUnitResults;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EwbDaUnitResultsMapper extends BaseMapper<EwbDaUnitResults> {
    @Insert({"<script>",
            "insert into ewb_da_unit_results (DA_ID, A, B, C, vara, varb, varc, sse, pho, model, unit_id, predicted_failure_time, DA_VALUE) values",
            "<foreach collection='unitResults' item='unitResult' index='index' separator=','>",
            "(#{daId},#{unitResult.a},#{unitResult.b},#{unitResult.c},#{unitResult.vara},#{unitResult.varb},#{unitResult.varc},#{unitResult.sse},#{unitResult.pho},#{unitResult.model},#{unitResult.unitId},#{unitResult.predictedFailureTime},#{unitResult.daValue})",
            "</foreach>",
            "</script>"})
    void batchInsert(@Param("daId") String daId, @Param("unitResults") List<EwbDaUnitResults> unitResults);

    @Insert("INSERT into ewb_da_unit_results(DA_ID, A, B, C, vara, varb, varc, sse, pho, model, unit_id, predicted_failure_time)" +
            "select #{newDaId}, A, B, C, vara, varb, varc, sse, pho, model, unit_id, predicted_failure_time from ewb_da_unit_results where DA_ID = #{daId}")
    void copy(@Param("newDaId") String newDaId, @Param("daId") String daId);
}