package com.nationrel.modules.weibull.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbNevadaKpiSetting;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.List;

public interface EwbNevadaKpiSettingMapper extends BaseMapper<EwbNevadaKpiSetting> {
    @Insert({"<script>",
            "insert into ewb_nevada_kpi_setting (nevada_id,sort,item_name,start_time,end_time,forecast,beta,eta,lambda,calc_result) values",
            "<foreach collection='nevadaDatas' item='nevadaData' index='index' separator=','>",
            "(#{nevadaData.nevadaId},#{nevadaData.sort},#{nevadaData.itemName},#{nevadaData.startTime},#{nevadaData.endTime},#{nevadaData.forecast},#{nevadaData.beta},#{nevadaData.eta},#{nevadaData.lambda},#{nevadaData.calcResult})",
            "</foreach>",
            "</script>"})
    void insertBatch(@Param(value = "nevadaDatas") List<EwbNevadaKpiSetting> nevadaDatas);

    @Update("update ewb_nevada_kpi_setting set beta = #{kpiSetting.beta},eta = #{kpiSetting.eta},lambda = #{kpiSetting.lambda},calc_result = #{kpiSetting.calcResult} where nevada_id = #{kpiSetting.nevadaId} and sort = #{kpiSetting.sort}")
    void updateCalcResult(@Param(value = "kpiSetting") EwbNevadaKpiSetting kpiSetting);
}