package com.nationrel.modules.weibull.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.weibull.entity.EwbStressStrength;
import com.nationrel.modules.weibull.vo.EwbStressAnalysisListVo;
import com.nationrel.modules.weibull.vo.EwbStressStrengthVo;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface EwbStressStrengthMapper extends BaseMapper<EwbStressStrength> {

    @Select("select a.stress_strength_id as analysisId, a.stress_strength_name as analysisName, a.wb_id from ewb_stress_strength a where a.wb_id = #{wbId}")
    List<EwbStressStrengthVo> selectVoByWbId(String wbId);


    @Select("select analysis.analysis_id, analysis.analysis_name, analysis_setting.parameter_code, analysis_setting.calc_result as analysisResult " +
            "from ewb_analysis analysis " +
            "left join ewb_analysis_data analysis_data on analysis_data.analysis_id = analysis.analysis_id " +
            "left join ewb_analysis_setting analysis_setting on analysis_setting.data_id = analysis_data.data_id " +
            "where analysis.wb_id = #{wbId} " +
            "and analysis.del_flag = '0' " +
            "and analysis.analysis_name != '' " +
            "and analysis.analysis_name is not null " +
            "and analysis_setting.distributing_code = #{distributingCode} " +
            "and analysis_setting.calc_result is not null " +
            "and analysis_setting.calc_result != ''")
    List<EwbStressAnalysisListVo> selectAnalysisList(String wbId, String distributingCode);
}