package com.nationrel.modules.weibull.service;

import com.nationrel.modules.weibull.general.domain.auth.HeaderUserInfo;
import com.nationrel.modules.weibull.general.domain.enums.common.EwbConstants;
import com.nationrel.modules.weibull.mapper.EwbAnalysisDataMapper;
import com.nationrel.modules.weibull.entity.EwbAnalysisData;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author Aimee on 2020/10/19.
 */
@Slf4j
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class EwbAnalysisDataService {

    private final EwbAnalysisDataMapper analysisDataMapper;

    public void createAnalysisData(HeaderUserInfo userInfo, String dataId, String analysisId) {
        EwbAnalysisData analysisData = new EwbAnalysisData();
        analysisData.setDataId(dataId);
        analysisData.setAnalysisId(analysisId);
        analysisData.setRFlag(EwbConstants.FLAG_NO_CHECKED);
        analysisData.setLFlag(EwbConstants.FLAG_NO_CHECKED);
        analysisData.setTimeForRank(EwbConstants.FLAG_NO_CHECKED);
        analysisData.setGroupingFlag(EwbConstants.FLAG_NO_CHECKED);
        analysisData.setFailureModeFlag(EwbConstants.FLAG_NO_CHECKED);
        analysisData.setEditFlag(EwbConstants.EDIT_FLAG);
        analysisData.setInsertTime(new Date());
        analysisData.setInsertUserId(userInfo.getUserId());
        analysisData.setVersionNo(0);
        analysisDataMapper.insert(analysisData);
    }
}
