package com.nationrel.modules.weibull.service.damodel;

import com.nationrel.modules.weibull.enums.EwbDaModelCodeEnum;
import com.nationrel.modules.weibull.service.damodel.impl.*;

public class DaFactory {
    /**
     * @Title: getModel
     * @Description: 获取模型实例
     * @param daModelCode 模型编码
     * @return DaModelI
     */
    public DaModelI getModel (String daModelCode) {
        DaModelI daModel = null;
        if (EwbDaModelCodeEnum.Linear.getIndex().equals(daModelCode)) {
            daModel = new LinearModelImpl();
        } else if (EwbDaModelCodeEnum.Exponential.getIndex().equals(daModelCode)) {
            daModel = new ExponentialModelImpl();
        } else if (EwbDaModelCodeEnum.Power.getIndex().equals(daModelCode)) {
            daModel = new PowerModelImpl();
        } else if (EwbDaModelCodeEnum.Logarithmic.getIndex().equals(daModelCode)) {
            daModel = new LogrithmModelImpl();
        } else if (EwbDaModelCodeEnum.Logistic.getIndex().equals(daModelCode)) {
            daModel = new LogisticModelImpl();
        } else if (EwbDaModelCodeEnum.LogLogistic.getIndex().equals(daModelCode)) {
            daModel = new LogLogisticModelImpl();
        } else if (EwbDaModelCodeEnum.Gompertz.getIndex().equals(daModelCode)) {
            daModel = new GeompertzModelImpl();
        } else if (EwbDaModelCodeEnum.LloydLipow.getIndex().equals(daModelCode)) {
            daModel = new LipowModelImpl();
        }
        return daModel;
    }
}
