package com.nationrel.modules.weibull.service.damodel.impl;

import com.nationrel.modules.weibull.entity.EwbDaChartData;
import com.nationrel.modules.weibull.entity.EwbDaUnitResults;
import com.nationrel.modules.weibull.service.damodel.DaModelI;

import java.util.ArrayList;
import java.util.List;

import static java.lang.Double.NEGATIVE_INFINITY;
import static java.lang.Double.POSITIVE_INFINITY;

/**
 * @version V1.0
 * @ClassName ExpModelImpl
 * @Description 指数模型退化分析算法
 */
public class ExponentialModelImpl implements DaModelI {

    @Override
    public List<EwbDaChartData> degrade(EwbDaUnitResults entry, List<Double> rangeX, Double daValue) {
        List<EwbDaChartData> ewbDaChartDataList = new ArrayList<>();
        int sortNo = 1;
        for (Double x : rangeX) {
            EwbDaChartData ewbDaChartData =EwbDaChartData.builder().daId(entry.getDaId()).modelCode(entry.getModel()).unitNo(entry.getUnitId()).sortNo(sortNo++).x(x).daValue(daValue).build();
            Double y = entry.getA() == null || entry.getB() == null ? 0.0 : entry.getA() * Math.exp(entry.getB() * x);
            if (y == NEGATIVE_INFINITY || y == POSITIVE_INFINITY) {
                y = null;
            }
            ewbDaChartData.setY(y);
            ewbDaChartDataList.add(ewbDaChartData);
        }
        return ewbDaChartDataList;
    }
}
